/**
 * Created by Zack on 2018/07/13.
 */
var BoxLayer = wb.BaseLayer.extend({
    ctor: function () {
        this._super(res.boxScene_json);
        this.initData();
        this.initUI();

    },
    onEnter: function () {
        this._super();
        SnakeHelper.bkLayer.isGaming = false;
    },
    onExit: function () {
        this._super();
        SnakeHelper.bkLayer.isGaming = true;
    },
    initData: function () {
    },
    initUI: function () {
        this.popUI("uiPanel", 0.1);

        wb.FW(this.rootNode, "closeBtn", function () {
            cc.log("closeBtn");
            wb.wxHelper.tj("button", "GuanBi", "JiangLi");
            this.removeSelf();
        }.bind(this));

        //var randScore = wb.randNum(20, 100);
        //this.randScore = randScore;
        // 盾
        wb.FW(this.rootNode, "scoreText").setString(":" + 1);

        //var randSnakeL = wb.randNum(10, 20);
        //this.randSnakeL = randSnakeL;
        wb.FW(this.rootNode, "snakeLText").setString(":20");
        wb.FW(this.rootNode, "qnumText").setString(":1");

        var lqText = wb.FW(this.rootNode, "lqText");


        var videoBtn = wb.FW(this.rootNode, "videoBtn", function () {
            cc.log("videoBtn");

            if(!wb.ADManager.isAdReady("home_mfzs")){
                SceneManger.showTip("视频未准备好~");
                return;
            }

            wb.DataTJManager.event2("video_DaoJuMoShi_DaBaoXiang","video_DaoJuMoShi_DaBaoXiang");
            videoBtn.setTouchEnabled(false);
            wb.ADManager.openAdC("home_mfzs", function (a, result) {
                videoBtn.setTouchEnabled(true);

                if (result == 0) {
                    Tool.flushTicket(1);
                    // SnakeHelper.bkLayer.flushCScoreLabel(randScore);
                    // SceneManger.showTip("获取抽奖券1张，增加分数" + randScore + ",增加蛇长" + randSnakeL);
                    // SnakeHelper.addSnakeNodeByNum(randSnakeL);
                    SnakeHelper.snakeHead.addShield();
                    Tool.addDiamond(20);
                    // this.removeSelf();
                    //  this.showOpenPanel();
                    // this.flusBtn();
                } else {
                    SceneManger.showTip("获取失败~");
                }
                this.closeLayer();
            }.bind(this));
        }.bind(this));
        this.videoBtn = videoBtn;

        //// if (Tool.boxFxNum <= 2) {
        //if (Config.boxSharedSwitch != 1) {
        //    var lqPanel = wb.FW(this.rootNode, "lqPanel");
        //    var videoPanel = wb.FW(this.rootNode, "videoPanel");
        //    videoPanel.y = (lqPanel.y + videoPanel.y) / 2;
        //    lqPanel.setVisible(false);
        //}

        var xxImage1 = wb.FW(this.rootNode, "xxImage1");
        var xxImage2 = wb.FW(this.rootNode, "xxImage2");
        var xxImage3 = wb.FW(this.rootNode, "xxImage3");

        xxImage1.runAction(cc.sequence(cc.scaleTo(1, 0.2), cc.scaleTo(1, 1)).repeatForever());
        xxImage2.runAction(cc.sequence(cc.scaleTo(1.2, 0.2), cc.scaleTo(1.2, 1)).repeatForever());
        xxImage3.runAction(cc.sequence(cc.scaleTo(0.5, 0.2), cc.scaleTo(0.5, 1)).repeatForever());

        wb.FW(this.rootNode, "lightImage").runAction(cc.rotateBy(0.1, 5).repeatForever());

        this.timeText = wb.FW(this.rootNode, "timeText");
        this.tipText = wb.FW(this.rootNode, "tipText");

        this.tipText.setVisible(false);
        this.timeText.setVisible(false);

        ///////////////
        this.snakeImageP = wb.FW(this.rootNode, "snakeImage").getPosition();
        this.jbImageP = wb.FW(this.rootNode, "jbImage").getPosition();
        this.bisaimenpiaoP = wb.FW(this.rootNode, "bisaimenpiao").getPosition();
    },
    showOpenPanel: function () {
        wb.FW(this.rootNode, "noOpenPanel").setVisible(false);
        var boxOpenPanel = wb.FW(this.rootNode, "boxOpenPanel");
        boxOpenPanel.setVisible(true);

        wb.FW(boxOpenPanel, "sureBtn", function () {
            cc.log("sureBtn");
            this.removeSelf();
        }.bind(this));


        var endPPanel1P = wb.FW(this.rootNode, "endPPanel1").getPosition();
        var endPPanel2P = wb.FW(this.rootNode, "endPPanel2").getPosition();
        var endPPanel3P = wb.FW(this.rootNode, "endPPanel3").getPosition();

        var cjqcsImage = wb.FW(this.rootNode, "cjqcsImage");
        var scsImage = wb.FW(this.rootNode, "scsImage");
        var jbcsImage = wb.FW(this.rootNode, "jbcsImage");

        wb.FW(cjqcsImage, "addNText").setString("+1");
        wb.FW(scsImage, "addNText").setString("+" + this.randSnakeL);
        wb.FW(jbcsImage, "addNText").setString("+" + this.randScore);

        wb.FW(boxOpenPanel, "resultText").setString("获取抽奖券1张，增加分数" + this.randScore + ",增加蛇长" + this.randSnakeL);

        cjqcsImage.setScale(1.2);
        scsImage.setScale(1.2);
        jbcsImage.setScale(1.2);

        var action1 = cc.bezierTo(0.4, [cjqcsImage.getPosition(), cc.p(endPPanel1P.x, cjqcsImage.y), endPPanel1P]);
        var action2 = cc.bezierTo(0.4, [scsImage.getPosition(), cc.p(endPPanel2P.x, scsImage.y), endPPanel2P]);
        var action3 = cc.bezierTo(0.4, [jbcsImage.getPosition(), cc.p(endPPanel3P.x, jbcsImage.y), endPPanel3P]);

        var moveAction = cc.sequence(cc.moveBy(0.5, cc.p(0, 5), cc.moveTo(0.5, -5)));
        cjqcsImage.runAction(cc.sequence(cc.delayTime(0.5), action1, moveAction.clone()));
        scsImage.runAction(cc.sequence(cc.delayTime(0.8), action2, moveAction.clone()));
        jbcsImage.runAction(cc.sequence(cc.delayTime(1.1), action3, moveAction.clone()));

        // this.scheduleOnce(function () {
        //
        // }.bind(this), 1.2, "ac");
    },
    flusBtn: function () {
        //this.lqBtn.setColor(cc.color(77, 74, 69));
        //this.lqBtn.setTouchEnabled(false);
        //
        //this.videoBtn.setColor(cc.color(77, 74, 69));
        //this.videoBtn.setTouchEnabled(false);
    },
    removeSelf: function () {
        cc.log("removeSelf");
        wb.FW(this.rootNode, "uiPanel").setVisible(false);
        this.timeText.setVisible(true);
        this.tipText.setVisible(true);
        this.timeDownN = 3;
        this.schedule(this.timeDown, 1);

    },
    timeDown: function () {

        this.timeDownN--;
        this.timeText.setString(this.timeDownN);

        if (this.timeDownN <= 0) {
            this.closeLayer();
        }
    }
});