/**
 * Created by Zack on 2017/10/12.
 */
var Config = Config || {};

Config.SnakeLevel = [
    {
        scoreUp: 100,
        speedAdd: 0,
        BlockNum: [
            {blockMin: 1, snakeLengthAdd: 0},//自身身长 在增加的额外值
            {blockMin: 1, blockMax: 10},
            {blockMin: 1, blockMax: 10},
            {blockMin: 11, blockMax: 15},
            {blockMin: 11, blockMax: 10},
            {blockMin: 11, blockMax: 30}
        ]
    },
    {
        scoreUp: 200,
        speedAdd: 1,
        BlockNum: [
            {blockMin: 1, snakeLengthAdd: 0},
            {blockMin: 6, blockMax: 25},
            {blockMin: 6, blockMax: 30},
            {blockMin: 11, blockMax: 20},
            {blockMin: 11, blockMax: 30},
            {blockMin: 11, blockMax: 60}
        ]
    },
    {
        scoreUp: 300,
        speedAdd: 1,
        BlockNum: [
            {blockMin: 1, snakeLengthAdd: 0},
            {blockMin: 6, blockMax: 25},
            {blockMin: 6, blockMax: 30},
            {blockMin: 11, blockMax: 39},
            {blockMin: 11, blockMax: 60},
            {blockMin: 11, blockMax: 60}
        ]
    },
    {
        scoreUp: 700,
        speedAdd: 2,
        BlockNum: [
            {blockMin: 5, snakeLengthAdd: 0},
            {blockMin: 6, blockMax: 25},
            {blockMin: 11, blockMax: 50},
            {blockMin: 15, blockMax: 50},
            {blockMin: 17, blockMax: 60},
            {blockMin: 17, blockMax: 60}
        ]
    },
    {
        scoreUp: 1500,
        speedAdd: 3,
        BlockNum: [
            {blockMin: 8, snakeLengthAdd: 0},
            {blockMin: 11, blockMax: 34},
            {blockMin: 11, blockMax: 50},
            {blockMin: 20, blockMax: 50},
            {blockMin: 25, blockMax: 60},
            {blockMin: 25, blockMax: 60}
        ]
    },
    {
        scoreUp: 99999,
        speedAdd: 3,
        BlockNum: [
            {blockMin: 10, snakeLengthAdd: 0},
            {blockMin: 11, blockMax: 60},
            {blockMin: 11, blockMax: 50},
            {blockMin: 25, blockMax: 55},
            {blockMin: 25, blockMax: 60},
            {blockMin: 25, blockMax: 60}
        ]
    }
];

var SnakeLevelManger = {
    lIndex: 0,
    init: function () {
        this.lIndex = 0;
    },
    getBlockNum: function () {
        return Config.SnakeLevel[this.lIndex].BlockNum;
    },
    // 判断有没超过下一个目标分数
    dealSnakeLevel: function (score) {
        var nIndex = this.lIndex + 1;
        if (nIndex >= Config.SnakeLevel.length) return;

        var nScore = Config.SnakeLevel[nIndex].scoreUp;

        if (nScore < score) {
            this.lIndex++;
            if (this.lIndex >= Config.SnakeLevel.length) this.lIndex = Config.SnakeLevel.length - 1;
        }
    }
};