/**
 * Created by Zack on 2018/07/13.
 */
var InviteLayer = wb.BaseLayer.extend({
    ctor: function () {
        this._super(res.inviteLayer_json);
        this.initData();
        this.initUI();

    },
    onEnter: function () {
        this._super();
        Tool.showBanner(Config.bannerId4);

    },
    onExit: function () {
        this._super();
        Tool.showBanner(Config.bannerId4);
    },
    initData: function () {
    },
    initUI: function () {
        this.popUI("uiPanel", 0.1);

        wb.FW(this.rootNode, "closeBtn", function () {
            cc.log("closeBtn");
            this.closeLayer();
        }.bind(this));

        this.sLabel = wb.FW(this.rootNode, "sLabel");

        var videoBtn = wb.FW(this.rootNode, "videoBtn", function () {
            cc.log("videoBtn");
            // Tool.addBeganSnakeL(2);
            // this.flushNum();

            if (Config.beganSnakeL >= 20) {
                SceneManger.showTip("已到最大长度，明天再来吧~");
                return;
            }

            if (!wb.ADManager.isVideoEnable) {
                SceneManger.showTip("视频未加载好~");
                return;
            }
            videoBtn.setTouchEnabled(false);
            wb.ADManager.openAdC("video", function (a, result) {
                videoBtn.setTouchEnabled(true);

                if (result == 0) {
                    Tool.addBeganSnakeL(4);
                    this.flushNum();
                } else {
                    SceneManger.showTip("视频未播放完~");
                }
            }.bind(this));

        }.bind(this));

        this.flushNum();
    },
    flushNum: function () {
        this.sLabel.setString(20 - Config.beganSnakeL);
        Logic.beganLayer.snakeNText.setString(Config.beganSnakeL);
        wb.setItem("beganSnakeL", Config.beganSnakeL);
    }
});