/**
 * Created by ZZH on 2018/7/13.
 */


var LockLayer = wb.BaseLayer.extend({
    _func: null,
    _target: null,

    ctor: function (func, target) {
        this._super(res.lockLayer_json);
        this._func = func;
        this._target = target;
        this.initData();
        this.initUI();
        return true;
    },
    initData: function () {
    },
    initUI: function () {
        this.popUI("uiPanel", 0.1);

        wb.FW(this.rootNode, "closeBtn", function () {
            this.closeLayer();
        }.bind(this));

        var videoBtn = wb.FW(this.rootNode, "videoBtn", function () {

            if(!wb.ADManager.isAdReady("video")){
                SceneManger.showTip("视频未准备好~");
                return;
            }

            videoBtn.setTouchEnabled(false);
            wb.ADManager.openAdC("video", function (a, result) {
                videoBtn.setTouchEnabled(true);

                if (result == 0) {
                    if (this._func) this._func.call(this._target);
                    SceneManger.showTip("解锁成功~");
                } else {
                    SceneManger.showTip("视频未播放完~");
                }
                this.closeLayer();
            }.bind(this));

        }.bind(this));

        var videoText = wb.FW(this.rootNode, "videoText");
        videoText.setVisible(false);

        if (!wb.ADManager.isVideoEnable) {
            videoBtn.setVisible(false);
            videoText.setVisible(true);
            wb.FW(this.rootNode, "msgkText").setVisible(false);
        }
    }
});


var LockLayer2 = wb.BaseLayer.extend({
    _func: null,
    _target: null,

    ctor: function (func, target) {
        this._super(res.lockLayer2_json);
        this._func = func;
        this._target = target;
        this.initData();
        this.initUI();
        return true;
    },
    initData: function () {
    },
    initUI: function () {
        this.popUI("uiPanel", 0.1);

        wb.FW(this.rootNode, "closeBtn", function () {
            this.closeLayer();
        }.bind(this));

        // Tool.diamondNum = 1000;
        var zsBtn = wb.FW(this.rootNode, "zsBtn", function () {
            if (Tool.diamondNum < 100) {
                SceneManger.showTip("钻石不足~")
            } else {
                Tool.addDiamond(-100);
                if (this._func) this._func.call(this._target);
                SceneManger.showTip("解锁成功,可使用24小时~");
            }
            this.closeLayer();
        }.bind(this));

        wb.FW(this.rootNode, "fxBtn", function () {
            wb.wxTool.fxMessage("gift", function (data) {
                if (!data.shareTickets) {
                    SceneManger.showTip("分享到群才能获得奖励哦~");
                    return;
                }

                if (this._func) this._func.call(this._target);
                SceneManger.showTip("解锁成功,可使用24小时~");
                this.closeLayer();
            }.bind(this));
        }.bind(this));
    }
});