/**
 * Created by 13075 on 2017/11/13.
 */

var PauseLayer = wb.BaseLayer.extend({
    ctor: function () {
        this._super(res.pauseScene_json);
        this.initData();
        this.initUI();
    },
    onEnter: function () {
        this._super();
        SceneManger.pauseGame();

        var plaque = wb.createPushPlaqueWs(null, null, true);
        if (plaque) {
            this.addChild(plaque, 100);
        }

        wb.ADManager.openAd("pause");

        wb.DataTJManager.event2("splash_DaoJuMoShi_ZanTing","splash_DaoJuMoShi_ZanTing");
    },
    onExit: function () {
        this._super();
        SceneManger.resumeGame();
    },
    initData: function () {
    },
    initUI: function () {
        this.popUI("uiPanel", 0.1);

        wb.FW(this.rootNode, "closeBtn", function () {
            cc.log("closeBtn");
            this.closeLayer();

        }.bind(this));

        wb.FW(this.rootNode, "continueBtn", function () {
            cc.log("continueBtn");
            this.closeLayer();
            //wb.wxHelper.tj("btn_click", "tap-pause-continueBtn");
        }.bind(this));

        wb.FW(this.rootNode, "helpBtn", function () {
            cc.log("helpBtn");
            SceneManger.showHelp();
          //  wb.wxHelper.tj("btn_click", "tap-pause-helpBtn");
        }.bind(this));

        wb.FW(this.rootNode, "backBtn", function () {
            cc.log("backBtn");
            SceneManger.gameMain(false);
            //wb.wxHelper.tj("btn_click", "tap-pause-backBtn");
        }.bind(this));
    }
});
