/**
 * Created by zack on 2018/7/13.
 */
var RewardLayer = wb.BaseLayer.extend({

    ctor: function (dataIndex, func) {
        this._super(res.rewardScene_json);
        this.initData();
        this.initUI(dataIndex, func);
        this.func = func;
    },
    onEnter: function () {
        this._super();

    },
    onExit: function () {
        this._super();

    },
    initData: function () {

    },
    initUI: function (dataIndex, func) {
        // dataIndex = 0;
        this.popUI("uiPanel", 0.1);

        var uiPanel = wb.FW(this.rootNode, "uiPanel");

        var goodsImage = wb.FW(this.rootNode, "goodsImage");
        goodsImage.ignoreContentAdaptWithSize(true);
        //ShaderManger.setWidgetColorEffect(goodsImage);

        var data = Config.cjData[dataIndex];

        var sbBtn = wb.FW(this.rootNode, "sbBtn", function () {
            cc.log("sbBtn");
            if(!wb.ADManager.isAdReady("double_mfzs")){
                SceneManger.showTip("视频未准备好~");
                return;
            }

            sbBtn.setTouchEnabled(false);
            wb.ADManager.openAdC("double_mfzs", function (a, result) {
                sbBtn.setTouchEnabled(true);

                if (result == 0) {
                    if (data.type == -1) {
                        SceneManger.showTip("获得了" + data.num * 2 + "钻石~");
                        Tool.addDiamond(data.num * 2);
                    } else {
                        this.rewardSkin(dataIndex);
                    }
                    this.close();
                } else {
                    SceneManger.showTip("视频未播放完~");
                }
            }.bind(this));
        }.bind(this));

        if (Config.isAllUnLock) sbBtn.setVisible(false);

        var lqBtn = wb.FW(this.rootNode, "lqBtn", function () {
            cc.log("lqBtn");
            if (data.type == -1) {
                SceneManger.showTip("获得了" + data.num + "钻石~");
                Tool.addDiamond(data.num);
            } else {
                // 皮肤
                this.rewardSkin(dataIndex);
            }
            this.close();
        }.bind(this));

        //if(!Config.isAllUnLock){
        //    lqBtn.setVisible(false);
        //
        //    this.scheduleOnce(function () {
        //        lqBtn.setVisible(true);
        //    }.bind(this), 2);
        //}


        var zsNumLabel = wb.FW(this.rootNode, "zsNumLabel");

        var hdxpfImage = wb.FW(this.rootNode, "hdxpfImage");
        hdxpfImage.setVisible(false);

        // 钻石
        if (data.type == -1) {
            goodsImage.loadTexture(data.goodsImage);
            zsNumLabel.setString(data.num);
            //zsNumLabel.ignoreContentAdaptWithSize(true);

            //   zsNumLabel.setContentSize(cc.size(14 * 2,23));
            // zsNumLabel.setString(5);

            var zsImage = wb.FW(zsNumLabel, "zsImage");
            if (data.num < 10) zsImage.x = zsImage.x - 14;

        } else if (data.type == -2) {
            goodsImage.loadTexture(data.goodsImage);
        } else {
            // 皮肤
            var snakeHead = new SnakeSimple(data.type);
            goodsImage.setVisible(false);
            snakeHead.setPosition(goodsImage.getPosition());
            // snakeHead.setScale(0.7);
            uiPanel.addChild(snakeHead);

            zsNumLabel.setVisible(false);
            hdxpfImage.setVisible(true);
            hdxpfImage.ignoreContentAdaptWithSize(true);
            hdxpfImage.loadTexture("res/rewardNew/hdxpf.png");

            sbBtn.setVisible(false);
        }


        var lightPanel = wb.FW(this.rootNode, "lightPanel");
        GameSpine.createRewardSp(cc.p(0, 0), lightPanel);

        lightPanel.setScale(1.2);
        goodsImage.setScale(1.2);

    },
    rewardSkin: function (dataIndex) {
        var data = Config.cjData[dataIndex];

        var isHave = wb.getItem("skinlock" + data.type, 0);

        if (isHave == 1) {
            var locktime = wb.getItem("skinlocktime" + data.type, 0);
            if (locktime && locktime < 0) {
                SceneManger.showTip("已拥有该皮肤，奖励25钻石~");
                Tool.addDiamond(25);
            } else {
                SceneManger.showTip("永久拥有该皮肤~");
                wb.setItem("skinlocktime" + type, -1);
            }
        } else {
            SceneManger.showTip("永久拥有该皮肤~");
        }

        wb.setItem("skinlock" + data.type, 1);
        wb.setItem("skinlocktime" + data.type, -1);
    },
    close: function () {
        if (this.func) this.func();
        this.removeFromParent();
    }
});