/**
 * Created by 13075 on 2017/11/13.
 */
var TipLayer = wb.BaseLayer.extend({
    func: null,
    ctor: function (str, func) {
        this._super(res.tipScene_json);
        this.func = func;
        this.initData();
        this.initUI(str);

    },
    initData: function () {
        this.popUI("uiPanel", 0.1);
    },
    initUI: function (str) {
        wb.FW(this.rootNode, "closeBtn", function () {
            cc.log("closeBtn");
            this.closeLayer();
        }.bind(this));

        wb.FW(this.rootNode, "okBtn", function () {
            cc.log("okBtn");
            if (this.func) this.func();
            this.closeLayer();
        }.bind(this));

        wb.FW(this.rootNode, "infoText").setString(str);

        wb.FW(this.rootNode, "videoImage").setVisible(false);
    }
});


var SkinTipLayer = wb.BaseLayer.extend({
    func: null,
    ctor: function (str, func) {
        this._super(res.tipScene_json);
        this.func = func;
        this.initData();
        this.initUI(str);

    },
    initData: function () {
        this.popUI("uiPanel", 0.1);
    },
    initUI: function (str) {
        var closeBtn = wb.FW(this.rootNode, "closeBtn", function () {
            cc.log("closeBtn");
            this.closeLayer();
        }.bind(this));
        closeBtn.setVisible(true);

        var okBtn = wb.FW(this.rootNode, "okBtn", function () {
            cc.log("okBtn");
            if(!wb.ADManager.isAdReady("skin")){
                SceneManger.showTip("视频未准备好~");
                return;
            }

            wb.wxHelper.tj("button", "pifuShiWan", "Zhuye");
            wb.DataTJManager.event2("video_DaoJuMoShi_PiFuShiWan","video_DaoJuMoShi_PiFuShiWan");
            okBtn.setTouchEnabled(false);
            wb.ADManager.openAdC("skin", function (a, result) {
                okBtn.setTouchEnabled(true);

                if (result == 0) {
                    Logic.beganLayer.flushSkinInfo(SnakeHelper.skinIndex);
                    SceneManger.showSelectEnter();
                    this.closeLayer();
                } else {
                    SceneManger.showTip("视频未播放完~");
                }
            }.bind(this));
        }.bind(this));

        wb.FW(this.rootNode, "infoText").setString(str);

        var okImage = wb.FW(okBtn, "okImage");
        okImage.ignoreContentAdaptWithSize(true);
        okImage.loadTexture("res/startNew/mmsw.png");
        okImage.x = okImage.x + 40;
    }

});