/**
 * Created by 13075 on 2017/11/13.
 */
var BeganLayer = cc.Layer.extend({
    _SkinTip:null,
    ctor: function () {
        this._super();

        var titleSp = new cc.Sprite(res.title_png);
        titleSp.setPosition(cc.p(320, 1000));
        this.addChild(titleSp);

        var achievementSp = new cc.Sprite(res.achievement_png);
        achievementSp.setPosition(cc.p(287, 860));
        this.addChild(achievementSp);

        var bestScore = Tool.getBestScore();
        var bestScore = new cc.LabelTTF("" + bestScore, res.Hk7_font, 60);
        bestScore.setAnchorPoint(cc.p(0, 0.5));
        bestScore.setPosition(cc.p(320, 860));
        bestScore.setColor(Config.SCORE_COLOR);
        this.addChild(bestScore);

        //开始的几种模式
        var normalModeMenu = new cc.MenuItemImage(res.button_bg2, res.button_bg2, "",
            this.onNormalMode, this);
        normalModeMenu.setPosition(cc.p(320, 700));
        var normalLabel = new cc.LabelTTF("经典模式", res.Hk7_font, 50);
        normalLabel.setPosition(cc.p(214, 60));
        normalLabel.setColor(Config.BLACK_COLOR);
        normalModeMenu.addChild(normalLabel);

        var toolModeMenu = new cc.MenuItemImage(res.button_hot, res.button_hot, "",
            this.onToolMode,this);
        toolModeMenu.setPosition(cc.p(320, 550));
        var toolLabel = new cc.LabelTTF("道具模式", res.Hk7_font, 50);
        toolLabel.setPosition(cc.p(214, 60));
        toolLabel.setColor(Config.BLACK_COLOR);
        toolModeMenu.addChild(toolLabel);
        /*var spHot = new cc.Sprite(res.img_hot);
        spHot.setPosition(cc.p(455, 133));
        toolModeMenu.addChild(spHot);*/

        var fireModeMenu = new cc.MenuItemImage(res.button_bg3, res.button_bg3, "",
            this.onFireMode,this);
        fireModeMenu.setPosition(cc.p(320, 400));
        var fireLabel = new cc.LabelTTF("射击模式", res.Hk7_font, 50);
        fireLabel.setPosition(cc.p(214, 60));
        fireLabel.setColor(Config.BLACK_COLOR);
        fireModeMenu.addChild(fireLabel);

        var skinMenuItem = new cc.MenuItemImage(res.skinBtn_png, res.skinBtn_png, "",
            function () {
                Config.SkinTipFlag = false;
                if(this._SkinTip){
                    this._SkinTip.setVisible(false);
                }
                var skinLayer = new SkinLayer();
                this.addChild(skinLayer, 10);
            }, this);
        skinMenuItem.setPosition(cc.p(174, 205));
        var labelSkin = new cc.LabelTTF("皮肤", res.Hk7_font, 30);
        labelSkin.setAnchorPoint(cc.p(0.5, 1));
        labelSkin.setPosition(cc.p(174, 170));
        labelSkin.setColor(Config.SCORE_COLOR);
        this.addChild(labelSkin);
        if(Config.SkinTipFlag){
            this._SkinTip = new cc.Sprite(res.img_tip_red_point);
            this._SkinTip.setPosition(cc.p(62, 62));
            this._SkinTip.setScale(0.6);
            skinMenuItem.addChild(this._SkinTip);
        }



        var rankMenuItem = new cc.MenuItemImage(res.icon_explain_png, res.icon_explain_png, "",
            function () {
                var layer = new GuideLayer();
                this.addChild(layer, 10);
            }, this);
        rankMenuItem.setPosition(cc.p(467, 205));
        var labelRank = new cc.LabelTTF("说明", res.Hk7_font, 30);
        labelRank.setAnchorPoint(cc.p(0.5, 1));
        labelRank.setPosition(cc.p(467, 170));
        labelRank.setColor(Config.SCORE_COLOR);
        this.addChild(labelRank);

        var setMenuItem = new cc.MenuItemImage(res.setBtn_png, res.setBtn_png, "",
            function () {
                var setLayer = new SetLayer();
                this.addChild(setLayer, 10);
            }, this);
        //setMenuItem.setPosition(cc.p(467, 237));
        setMenuItem.setPosition(cc.p(320, 205));
        var labelSet = new cc.LabelTTF("声音", res.Hk7_font, 30);
        labelSet.setAnchorPoint(cc.p(0.5, 1));
        labelSet.setPosition(cc.p(320, 170));
        labelSet.setColor(Config.SCORE_COLOR);
        this.addChild(labelSet);

        var mu = new cc.Menu(normalModeMenu,toolModeMenu, skinMenuItem, setMenuItem, rankMenuItem,fireModeMenu);
        mu.setPosition(cc.p(0, 0));
        this.addChild(mu);

        /*if(Config.FIRST_GAME_HOME == true){
            Config.FIRST_GAME_HOME = false;
            wbTool.openAd("home_push");
        }*/
    },
    onEnter:function(){
        this._super();

        //直接开始道具模式
        this.onToolMode();
    },
    remove: function (sender) {
        this.removeFromParent();
        SnakeHelper.bkLayer.isGaming = true;
        SnakeHelper.bkLayer.itemLayer.setVisible(true);
        SnakeHelper.bkLayer.showGuide();
    },
    onNormalMode:function(sender){
        this.remove(sender);
        Config.GAME_MODEL = 0;
    },
    onToolMode:function(sender){
        this.remove(sender);
        Config.GAME_MODEL = 1;
    },
    onFireMode:function(){
        Config.GAME_MODEL = 2;
        //修改蛇头位置
        s_Snake_Position = Config.SNAKE_P;
        Config.SNAKE_P = FireConfig.PlanePosition;
        FireData.init();
        cc.director.runScene(new FireHomeScene());
    }

});