/**
 * Created by cc on 2017/12/21.
 */

var FireBulletLayer = cc.Layer.extend({
    _buttleListUp1:null,
    _buttleListUp2:null,
    _buttleListLeft:null,
    _buttleListRight:null,
    _bulletCacheUp1:null,
    _bulletCacheUp2:null,
    _bulletCacheLeft:null,
    _bulletCacheRight:null,
    _gameDelgate:null,
    _dAtkTimeCDs:0,
    _bulletsCDs:0,
    _dBulletsTime:0,//连接子弹用
    //_nextBulletPoint:0,
    _bDoubleFire:false,
    _bHeavyFire:false,
    _attackCD:0,
    ctor:function(gameDelgate){
        this._super();

        this._gameDelgate = gameDelgate;
        this._attackCD = this._gameDelgate._attackCD;
        this._buttleListUp1 = [];
        this._buttleListUp2 = [];
        this._buttleListLeft = [];
        this._buttleListRight = [];
        this._bulletCacheUp1 = [];
        this._bulletCacheUp2 = [];
        this._bulletCacheLeft = [];
        this._bulletCacheRight = [];
        this._dAtkTimeCDs = [0,this._attackCD*0.5,0,0];
        this._bulletsCDs = [0,0,0,0];
        this._dBulletsTime = [0,0,0,0];

        //test
        //this._bDoubleFire = true;
    },
    onUpdate:function(dt){
        if(this._gameDelgate == null) return;

        //添加子弹
        //左上子弹孔
        this._dAtkTimeCDs[FireConfig.BulletPointUp1] += dt;
        if(this._dAtkTimeCDs[FireConfig.BulletPointUp1] >= this._attackCD){
            this.addBulletToCache(this._bulletCacheUp1,FireConfig.BulletPointUp1);
            this._dAtkTimeCDs[FireConfig.BulletPointUp1] -= this._attackCD;
        }
        //发射一颗子弹
        this._dBulletsTime[FireConfig.BulletPointUp1] += dt;
        if(this._dBulletsTime[FireConfig.BulletPointUp1] >= this._bulletsCDs[FireConfig.BulletPointUp1]){
            if(this._bulletCacheUp1.length > 0){

                var bullet = this._bulletCacheUp1[0];
                this._bulletsCDs[FireConfig.BulletPointUp1] = (bullet._bodySize.height/bullet._speedY);
                this._dBulletsTime[FireConfig.BulletPointUp1] = 0;
                this.fireBulletOfCache(this._bulletCacheUp1,this._buttleListUp1,this._gameDelgate._bulletSpeed);
            }
        }
        //右上子弹孔
        this._dAtkTimeCDs[FireConfig.BulletPointUp2] += dt;
        if(this._dAtkTimeCDs[FireConfig.BulletPointUp2] >= this._attackCD){
            this.addBulletToCache(this._bulletCacheUp2,FireConfig.BulletPointUp2);
            this._dAtkTimeCDs[FireConfig.BulletPointUp2] -= this._attackCD;// = 0;
        }
        //发射一颗子弹
        this._dBulletsTime[FireConfig.BulletPointUp2] += dt;
        if(this._dBulletsTime[FireConfig.BulletPointUp2] >= this._bulletsCDs[FireConfig.BulletPointUp2]){
            if(this._bulletCacheUp2.length > 0){

                var bullet = this._bulletCacheUp2[0];
                this._bulletsCDs[FireConfig.BulletPointUp2] = (bullet._bodySize.height/bullet._speedY);
                this._dBulletsTime[FireConfig.BulletPointUp2] = 0;
                this.fireBulletOfCache(this._bulletCacheUp2,this._buttleListUp2,this._gameDelgate._bulletSpeed);
            }
        }
        if(this._bDoubleFire){
            //左边子弹孔
            this._dAtkTimeCDs[FireConfig.BulletPointLeft] += dt;
            if(this._dAtkTimeCDs[FireConfig.BulletPointLeft] >= this._attackCD){
                this.addBulletToCache(this._bulletCacheLeft,FireConfig.BulletPointLeft);
                this._dAtkTimeCDs[FireConfig.BulletPointLeft] -= this._attackCD;// = 0;
            }
            //发射一颗子弹
            this._dBulletsTime[FireConfig.BulletPointLeft] += dt;
            if(this._dBulletsTime[FireConfig.BulletPointLeft] >= this._bulletsCDs[FireConfig.BulletPointLeft]){
                if(this._bulletCacheLeft.length > 0){

                    var bullet = this._bulletCacheLeft[0];
                    this._bulletsCDs[FireConfig.BulletPointLeft] = (bullet._bodySize.height/bullet._speedY);
                    this._dBulletsTime[FireConfig.BulletPointLeft] = 0;
                    this.fireBulletOfCache(this._bulletCacheLeft,this._buttleListLeft,this._gameDelgate._bulletSpeed);
                }
            }
            //右边子弹孔
            this._dAtkTimeCDs[FireConfig.BulletPointRight] += dt;
            if(this._dAtkTimeCDs[FireConfig.BulletPointRight] >= this._attackCD){
                this.addBulletToCache(this._bulletCacheRight,FireConfig.BulletPointRight);
                this._dAtkTimeCDs[FireConfig.BulletPointRight] -= this._attackCD;// = 0;
            }
            //发射一颗子弹
            this._dBulletsTime[FireConfig.BulletPointRight] += dt;
            if(this._dBulletsTime[FireConfig.BulletPointRight] >= this._bulletsCDs[FireConfig.BulletPointRight]){
                if(this._bulletCacheRight.length > 0){

                    var bullet = this._bulletCacheRight[0];
                    this._bulletsCDs[FireConfig.BulletPointRight] = (bullet._bodySize.height/bullet._speedY);
                    this._dBulletsTime[FireConfig.BulletPointRight] = 0;
                    this.fireBulletOfCache(this._bulletCacheRight,this._buttleListRight,this._gameDelgate._bulletSpeed);
                }
            }
        }
        this.moveBullets(this._buttleListUp1,dt);
        this.moveBullets(this._buttleListUp2,dt);
        this.moveBullets(this._buttleListLeft,dt);
        this.moveBullets(this._buttleListRight,dt);
    },
    moveBullets:function(list,dt){
        var winSize = cc.winSize;
        for(var i = 0; i < list.length;i++)
        {
            var bullet = list[i];
            var speedX = bullet._speedX*dt;
            var speedY = bullet._speedY*dt;
            bullet.y = bullet.y + speedY;
            bullet.x = bullet.x + speedX;
            if(bullet.y > (winSize.height+bullet.width/2))
            {
                this.removeChild(bullet);
                list[i] = undefined;
                list.splice(i,1);
                i = i - 1;
            }
        }
    },
    fireBulletOfCache:function(cacheList,bulletList,bulletSpeed){
        //发射一颗子弹
        if(cacheList.length > 0){
            var bullet = cacheList[0];
            bullet.setVisible(true);
            var speedY = bulletSpeed;
            bullet._speedY = speedY;
            var tarPos = this._gameDelgate._gameFirePlan.getPosition();
            bullet.y = tarPos.y;
            bullet.x = tarPos.x;
            if(bullet._direType == FireConfig.BulletPointUp1){
                bullet.x -= 12;
            }else if(bullet._direType == FireConfig.BulletPointUp2){
                bullet.x += 12;
            }else if(bullet._direType == FireConfig.BulletPointLeft){
                bullet._speedX = -Math.floor(speedY/FireConfig.FireAngleTan);
                bullet.y -= 10;
            }else if(bullet._direType == FireConfig.BulletPointRight){
                bullet._speedX = Math.floor(speedY/FireConfig.FireAngleTan);
                bullet.y -= 10;
            }

            cacheList[0] = undefined;
            cacheList.splice(0,1);
            bulletList.push(bullet);
        }
    },
    setSpeedUp:function(bRet){
        var atkCDs = this._dAtkTimeCDs;
        var timeScal = 1;
        if(bRet){
            timeScal = 0.5;
            this._attackCD = this._gameDelgate._attackCD * timeScal;
        }else{
            timeScal = 2.0;
            this._attackCD = this._gameDelgate._attackCD
        }
        for(var i = 0; i < atkCDs.length; i++){
            atkCDs[i] *= timeScal;
        }
    },
    createBullet:function(position){

        var bullet = new FireBullet();
        bullet._bulletDelgate = this;
       return bullet;
    },
    addBulletToCache:function(cacheList,direType){
        //创建子弹放入缓存
        for(var i = 0; i < FireConfig.FireBulletCount; i++){
            var bullet = this.createBullet();
            cacheList.push(bullet);
            this.addChild(bullet);
            bullet.setVisible(false);
            bullet._speedY = this._gameDelgate._bulletSpeed;
            bullet._direType =  direType;
            bullet._attact = this._gameDelgate._bulletDamage;
            if(this._bHeavyFire){
                bullet.setDoublePower();
            }
        }
    },
    getBulletsList:function(){
        var allList = this._buttleListUp1.concat(this._buttleListUp2);
        allList = allList.concat(this._buttleListLeft);
        allList = allList.concat(this._buttleListRight);
        return allList;
        /*var a = [1,2,3];
        var b = [4,5,6];
        var c = a.concat(b);//c=[1,2,3,4,5,6]*/
    },
    removeBullet:function(delBullet)
    {
        this.removeBulletByList(this._buttleListUp1,delBullet);
        this.removeBulletByList(this._buttleListUp2,delBullet);
        this.removeBulletByList(this._buttleListLeft,delBullet);
        this.removeBulletByList(this._buttleListRight,delBullet);
    },
    removeBulletByList:function(list,bullet){
        for(var i = 0; i < list.length;i++)
        {
            var block = list[i];
            if(bullet == block){
                block._bRemoved = true;
                this.removeChild(block);
                list[i] = undefined;
                list.splice(i,1);
                break;
            }
        }
    }
});