/**
 * Created by cc on 2017/12/21.
 */

var FireConfig = FireConfig || {};

FireConfig.PlanePosition = cc.p(320,370);
FireConfig.ItemSpeedUp = 102;//加快速度
FireConfig.ItemHeavyAtk = 103;//加大伤害
FireConfig.ItemDoubleFir = 104;//三向发射

FireConfig.BulletPointUp1 = 0;
FireConfig.BulletPointUp2 = 1;
FireConfig.BulletPointLeft = 2;
FireConfig.BulletPointRight = 3;

FireConfig.FireBulletCount = 1;
FireConfig.FireAngleTan = Math.tan((75*Math.PI/180));//斜向射击夹角
//FireConfig.GameSpeedNormal = 10;//正常游戏速度
FireConfig.BlockRowDis = 6;//初始化障碍物间隔行数
FireConfig.ItemFlushRow = 21;//21;//道具刷新起始行
FireConfig.ItemFlushRowIntl = 24;//24;//道具刷新间隔

//子弹速度
FireConfig.FireBulletSpeed = 16*60;//每秒/像素
FireConfig.FireGameSpeed = 330;//3*60;
//道具生成概率
FireConfig.ItemSpeedUpProb = 40;
FireConfig.ItemHeavyAtkProb = 40;
FireConfig.ItemDoubleFirProb = 30;

FireConfig.SCORE_COLOR = cc.color(247,190,67);
FireConfig.PLANE_COLOR = cc.color(18,200,146);
FireConfig.GAME_BG_COLOR = cc.color(36,36,36);
FireConfig.UI_BG_COLOR = cc.color(0,0,0);


FireConfig.BulletSize = cc.size(34,34);//球的size
FireConfig.BlockSize4 = cc.size(160,160);
FireConfig.BlockSize5 = cc.size(128,128);
FireConfig.BlockImgSize = cc.size(128,128);

FireConfig.BlockColor = [
    cc.color(253,215,2),
    cc.color(253,173,2),
    cc.color(240,130,23),
    cc.color(254,91,36),
    cc.color(215,64,14),
    cc.color(95,199,18),
    cc.color(25,208,73),
    cc.color(173,240,44),
    cc.color(217,9,14),
    cc.color(241,9,9)
];
/*FireConfig.ProbData = function (min, max) {
    return {min: min, max: max};
};*/

//方块生成概率
FireConfig.BlockGenerateProb = [
    {
        _rowLimt:20,
        _probArry:[{minP:20,maxP:50},{minP:40,maxP:60},{minP:50,maxP:80},{minP:80,maxP:120},{minP:80,maxP:120}],
    },
    {
        _rowLimt:50,
        _probArry:[{minP:30,maxP:60},{minP:50,maxP:80},{minP:70,maxP:100},{minP:90,maxP:120},{minP:120,maxP:180}],
    },
    {
        _rowLimt:80,
        _probArry:[{minP:40,maxP:70},{minP:50,maxP:90},{minP:70,maxP:120},{minP:100,maxP:140},{minP:150,maxP:200}],
    },
    {
        _rowLimt:99999,
        _probArry:[{minP:60,maxP:90},{minP:80,maxP:120},{minP:100,maxP:150},{minP:150,maxP:200},{minP:150,maxP:300}],
    },
];

FireConfig.LevelGrade = [
    {
        _gradeIdx:1,
        _minLV:1,
        _maxLV:2,
        _speedIntal:1.5,
        _speedFactor:0.5,
    },
    {
        _gradeIdx:2,
        _minLV:3,
        _maxLV:8,
        _speedIntal:2,
        _speedFactor:1,
    },
    {
        _gradeIdx:3,
        _minLV:9,
        _maxLV:16,
        _speedIntal:3,
        _speedFactor:1,
    },
    {
        _gradeIdx:4,
        _minLV:17,
        _maxLV:999,
        _speedIntal:4,
        _speedFactor:1,
    }
];

FireConfig.BlocksModeType = [
    {
        //1 0 1 0 1
        //0 1 0 1 0
        //0 0 1 0 0
        _blockList:[
            {_iPos:{x:2,y:0}},
            {_iPos:{x:1,y:1}},{_iPos:{x:3,y:1}},
            {_iPos:{x:0,y:2}},{_iPos:{x:2,y:2}},{_iPos:{x:4,y:2}},
        ],
        _rowNum:3,//所占行数
        _prob:12,//概率
    },
    {
        //1 0 1 0 1
        //1 1 1 1 1
        //0 0 1 0 0
        _blockList:[
            {_iPos:{x:2,y:0}},
            {_iPos:{x:0,y:1}},{_iPos:{x:1,y:1}},{_iPos:{x:2,y:1}}, {_iPos:{x:3,y:1}},{_iPos:{x:4,y:1}},
            {_iPos:{x:0,y:2}},{_iPos:{x:2,y:2}},{_iPos:{x:4,y:2}},
        ],
        _rowNum:3,//所占行数
        _prob:8,//概率
    },
    {
        //0 0 1 0 0
        //1 1 0 1 1
        //1 0 1 0 1
        _blockList:[
            {_iPos:{x:0,y:0}},{_iPos:{x:2,y:0}},{_iPos:{x:4,y:0}},
            {_iPos:{x:0,y:1}},{_iPos:{x:1,y:1}},{_iPos:{x:3,y:1}},{_iPos:{x:4,y:1}},
            {_iPos:{x:2,y:2}},
        ],
        _rowNum:3,//所占行数
        _prob:8,//概率
    },
    {
        //0 0 1 0 1
        //1 1 1 1 1
        //1 0 0 0 0
        _blockList:[
            {_iPos:{x:0,y:0}},
            {_iPos:{x:0,y:1}},{_iPos:{x:1,y:1}},{_iPos:{x:2,y:1}},{_iPos:{x:3,y:1}},{_iPos:{x:4,y:1}},
            {_iPos:{x:2,y:2}},{_iPos:{x:4,y:2}},
        ],
        _rowNum:3,//所占行数
        _prob:12,//概率
    },
    {
        //1>0 0 0 0
        //0 0 1>0>0
        _blockList:[
            {_iPos:{x:2,y:0},_moveBy:{x:2,y:0,time:1.4}},
            {_iPos:{x:0,y:1},_moveBy:{x:1,y:0,time:0.7}},
        ],
        _rowNum:2,//所占行数
        _prob:10,//概率
    },
    {
        //0 0 0 0<1
        //0<0<1 0>0
        _blockList:[
            {_iPos:{x:2,y:0},_moveBy:{x:-2,y:0,time:1.4}},
            {_iPos:{x:4,y:1},_moveBy:{x:-1,y:0,time:0.7}},
        ],
        _rowNum:2,//所占行数
        _prob:10,//概率
    },
    {
        //0 0 1>0>0
        //1>0 0 1>0
        _blockList:[
            {_iPos:{x:1,y:0},_moveBy:{x:1,y:0,time:1}},{_iPos:{x:3,y:0},_moveBy:{x:1,y:0,time:1}},
            {_iPos:{x:2,y:1},_moveBy:{x:2,y:0,time:2}},
        ],
        _rowNum:2,//所占行数
        _prob:10,//概率
    },
    {
        //1>0>0<0<1
        //0 1 1 1 0
        //1>0 0 0<1
        _blockList:[
            {_iPos:{x:0,y:0},_moveBy:{x:1,y:0,time:1}},{_iPos:{x:4,y:0},_moveBy:{x:-1,y:0,time:1}},
            {_iPos:{x:1,y:1}},{_iPos:{x:2,y:1}},{_iPos:{x:3,y:1}},
            {_iPos:{x:0,y:2},_moveBy:{x:1.5,y:0,time:2}},{_iPos:{x:4,y:2},_moveBy:{x:-1.5,y:0,time:2}},
        ],
        _rowNum:3,//所占行数
        _prob:10,//概率
    },
    {
        //0<0<0<0<1
        //1>1>0>0 1
        _blockList:[
            {_iPos:{x:0,y:0},_moveBy:{x:2,y:0,time:2}},{_iPos:{x:1,y:0},_moveBy:{x:2,y:0,time:2}},{_iPos:{x:4,y:0}},
            {_iPos:{x:4,y:1},_moveBy:{x:-3,y:0,time:3}},
        ],
        _rowNum:2,
        _prob:10,//概率
    },
    {
        //1>0 0 0<1
        //0 0 1 0 0
        //1>0 0 0<1
        _blockList:[
            {_iPos:{x:0,y:0},_moveBy:{x:1,y:0,time:1}},{_iPos:{x:4,y:0},_moveBy:{x:-1,y:0,time:1}},
            {_iPos:{x:2,y:1}},
            {_iPos:{x:0,y:2},_moveBy:{x:1,y:0,time:1}},{_iPos:{x:4,y:2},_moveBy:{x:-1,y:0,time:1}},
        ],
        _rowNum:3,
        _prob:10,//概率
    },
];