/**
 * Created by cc on 2017/12/23.
 */

var s_Snake_Position = Config.SNAKE_P;
var FireHomeLayer = cc.Layer.extend({
    _textLv: null,
    _textNeedScore: null,
    _textScore: null,
    _textAtkLv: null,
    _textSpeedLv: null,
    _testHighScore: null,

    ctor: function () {
        this._super();
    },
    onEnter: function () {
        this._super();

        this.addKeyBoard();

        var colorLayer = new cc.LayerColor(FireConfig.GAME_BG_COLOR);
        this.addChild(colorLayer);

        var root = ccs.load(resFireup.fireHomeJson);
        this.addChild(root.node);

        this._textLv = wb.FW(root.node, "TextLv");
        this._textScore = wb.FW(root.node, "TextScore");
        this._textNeedScore = wb.FW(root.node, "TextNeedScore");
        var nodeInfoBg = wb.FW(root.node, "LvInfoBg");
        this._textAtkLv = wb.FW(root.node, "TextAtkLv");
        this._textSpeedLv = wb.FW(root.node, "TextSpeedLv");

        this._testHighScore = wb.FW(root.node, "TextHighScore");
        this._testHighScore.setString(FireDeal.getStrOfKiloNum(FireData._HighScore));

        var btnClose = wb.FW(root.node, "BtnClose");
        //btnClose.setColor(Config.SCORE_COLOR);
        btnClose.addClickEventListener(this.onClose);
        
        // var controlList = wb.JXYXManager.getGameList();
        // if(controlList&&controlList.length <= 1){
        //     btnClose.setTouchEnabled(false);
        //     btnClose.setVisible(false);
        //     btnClose.removeFromParent();
        // }

        var btnBegan = wb.FW(root.node, "BtnBegan");
        btnBegan.addTouchEventListener(this.onGameBegan, this);
        var BtnUpgrade = wb.FW(root.node, "BtnUpgrade");
        BtnUpgrade.addTouchEventListener(this.onUpgread, this);
        this.BtnUpgrade = BtnUpgrade;
        this.flushUpgreadBtn();

        this._textLv.setString("" + FireData._Level);
        var score = FireData._Score;
        this._textScore.setString(FireDeal.getStrOfKiloNum(score));
        //计算升级所需分数
        var needScore = FireDeal.getSocreOfUpgrade();
        this._textNeedScore.setString(FireDeal.getStrOfKiloNum(needScore));

        this._textAtkLv.setString(FireData._FireAtkLv);
        this._textSpeedLv.setString(FireData._FireSpeedLv);

        cc.log("====");
    },
    addKeyBoard: function () {
        cc.eventManager.addListener({
            event: cc.EventListener.KEYBOARD,
            onKeyReleased: function (key, event) {
                if (key == cc.KEY.back) {
                    Config.SNAKE_P = s_Snake_Position;
                    // var controlList = wb.JXYXManager.getGameList();
                    // if(controlList&&controlList.length <= 1){
                    //     cc.director.end();
                    // }else{
                    wb.GameHelper.backMain();
                    //}
                }
            }
        }, this);
    },
    onClose: function (sender, type) {
        Config.SNAKE_P = s_Snake_Position;
        wb.GameHelper.backMain();
        //cc.director.runScene(new GameMainScene());
    },
    onGameBegan: function (sender, type) {
        if (type == ccui.Widget.TOUCH_ENDED) {
            //cc.eventManager.removeAllListeners();
            cc.director.runScene(new FireGameMainScene());
        }
    },
    onUpgread: function (sender, type) {
        if (type == ccui.Widget.TOUCH_ENDED) {
            var needScore = FireDeal.getSocreOfUpgrade();
            if (FireData._Score >= needScore) {
                FireData.setScore(FireData._Score - needScore);
                //升级数据
                FireDeal.weaponUpgrade();
                //更新UI
                var needScore = FireDeal.getSocreOfUpgrade();
                this._textNeedScore.setString(FireDeal.getStrOfKiloNum(needScore));
                this._textLv.setString("" + FireData._Level);
                this._textScore.setString(FireDeal.getStrOfKiloNum(FireData._Score));

                this._textAtkLv.setString(FireData._FireAtkLv);
                this._textSpeedLv.setString(FireData._FireSpeedLv);

                this.flushUpgreadBtn();
            }
        }
    },
    flushUpgreadBtn: function () {
        var needScore = FireDeal.getSocreOfUpgrade();
        if (FireData._Score < needScore) {
            this.BtnUpgrade.setVisible(false);
        }

    }
});

var FireHomeScene = cc.Scene.extend({
    onEnter: function () {
        this._super();

        Tool.init();
        Logic.init();
        SnakeHelper.init();
        Config.GAME_MODEL = 2;

        var layer = new FireHomeLayer();
        this.addChild(layer);
        this.scheduleOnce(function () {
            wbTool.openAd("banner");
        },3);


        wbTool.setAwakenCallback();

        //
        SnakeHelper.bkLayer = null;
        SnakeHelper.gameMain = null;
        SnakeHelper.snakeH = null;
        SnakeHelper.snakePath = [];
    }
});