/**
 * Created by cc on 2017/12/25.
 */

var GameExitLayer = cc.Layer.extend({
    ctor: function () {
        this._super();

        var bkLayer = new cc.LayerColor(cc.color(0, 0, 0, 200));
        this.addChild(bkLayer);

        var exitMenuItem = new cc.MenuItemImage(res.button_stop, res.button_stop, "",
            function (target) {
                wbTool.openExitGame();
            }, this);
        exitMenuItem.setPosition(cc.p(320, 680));
        var exitLabel = new cc.LabelTTF("退出游戏", res.Hk7_font, 36);
        exitLabel.setPosition(cc.p(155, 44));
        exitLabel.setColor(Config.BLACK_COLOR);
        exitMenuItem.addChild(exitLabel);

        var replayMenuItem = new cc.MenuItemImage(res.button_stop, res.button_stop, "",
            function (target) {
                this.removeFromParent();
            }, this);
        replayMenuItem.setPosition(cc.p(320, 560));
        var replayLabel = new cc.LabelTTF("返回游戏", res.Hk7_font, 36);
        replayLabel.setPosition(cc.p(155, 44));
        replayLabel.setColor(Config.BLACK_COLOR);
        replayMenuItem.addChild(replayLabel);

        var closeMenuItem = new cc.MenuItemImage(res.closeBtn2_png, res.closeBtn2_png, "",
            function () {
                this.removeFromParent();
            }, this);
        closeMenuItem.setPosition(cc.p(600, 1110));

        var mu = new cc.Menu(exitMenuItem, replayMenuItem, closeMenuItem);
        mu.setPosition(cc.p(0, 0));
        this.addChild(mu);
        this.addTouchListener();

        wbTool.openAd("exit_game");
    },
    addTouchListener: function () {
        cc.eventManager.addListener({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function () {
                return true;
            }
        }, this);
    }
})