/**
 * Created by 13075 on 2017/11/13.
 */


var GameOverLayer = wb.BaseLayer.extend({
    ctor: function () {
        this._super(res.overLayer_json);
        this.initData();
        this.initUI();
    },
    onExit: function () {
        this._super();
        SceneManger.isGameOver = false;
    },
    onEnter: function () {
        this._super();
        SceneManger.isGameOver = true;
        wbTool.openAd("level_fail");
        // wbTool.openAdC("level_fail", function (adSourceItem, result) {
        //     if (result == 0) {
        //         wb.DataTJManager.event2("ad_succ_level_fail", "ad_succ_level_fail");
        //     }
        // });
    },
    initData: function () {

    },
    initUI: function () {
        var score = SnakeHelper.bkLayer.getCScore();
        var scoreText = wb.FW(this.rootNode, "scoreText");
        scoreText.setString(score);

        var bestScore = Tool.getBestScore();
        var bestText = wb.FW(this.rootNode, "bestText");
        bestText.setString(bestScore);

        wb.FW(this.rootNode, "closeBtn", function () {
            this.closeLayer();
            SceneManger.backMain();
        }.bind(this));

        wb.FW(this.rootNode, "replayBtn", function () {
            SceneManger.rePlay();
        }.bind(this));

        wb.FW(this.rootNode, "backBtn", function () {
            SceneManger.backMain();
        }.bind(this));

        var pdImage = wb.FW(this.rootNode, "pdImage", function () {
            pdImage.setTouchEnabled(false);
            wbTool.openAdC("double_fail_mfzs", function (adSourceItem, result) {
                pdImage.setTouchEnabled(true);
                if (result == 0) {
                    cc.log("daoju score" + score);
                    score = score * 2;
                    scoreText.setString(score);
                    Tool.saveBestScore(score);
                    bestText.setString(Tool.getBestScore());
                    pdImage.setVisible(false);
                }
            }.bind(this));
        }.bind(this));
        var isReady = wb.ADManager.isAdReady("double_fail_mfzs");
        if (!isReady) pdImage.setVisible(false);
        pdImage.setVisible(false);
    }
});