var currentSceneStr = null;
var appendSceneStr = function (str) {
    if (!cc.sys.isNative) return str;
    if (!currentSceneStr) currentSceneStr = wb.GameHelper.getCurrentSceneStr();
    return currentSceneStr + "/" + str;
}
var res = {
    SnakeDot_png: "res/snakedot1.png",
    SnakeDot_png2: "res/snakedot2.png",
    SnakeDot_png3: "res/snakedot3.png",
    SnakeDot_png4: "res/snakedot4.png",
    PDot_png: "res/pdot.png",
    Line_png: "res/line.png",
    Crown_png: "res/crown.png",
    Hk_font: "",
    Hk7_font: "",
    closeBtn_png: "res/closeBtn.png",
    closeBtn2_png: "res/closeBtn2.png",
    achievement_png: "res/achievement.png",
    head_png: "res/head1.png",
    head_png2: "res/head2.png",
    head_png3: "res/head3.png",
    head_png4: "res/head4.png",
    head_png5: "res/head5.png",
    head_png6: "res/head6.png",
    circle_png: "res/circle.png",

    skinBtn_png: "res/icon_skin.png",
    setBtn_png: "res/icon_set.png",
    framePopup_png: "res/frame_popup.png",
    titlePopup_png: "res/popup_title.png",
    setItemBtn_png: "res/button_set.png",
    voiceClose_png: "res/voice_close.png",
    voiceOpen_png: "res/voice_open.png",
    musicClose_png: "res/music_close.png",
    musicOpen_png: "res/music_open.png",
    frameSkin_png: "res/frame_skin_normal.png",
    frameSkin2_png: "res/frame_skin_normal2.png",
    frameSkinSelect_png: "res/frame_skin_selected.png",
    Shield_png: "res/sheild.png",

    windLine_png: "res/wind.png",
    button_stop: "res/button_stop.png",
    icon_pause_png: "res/icon_pause.png",
    guide_png: "res/guide.png",
    icon_explain_png: "res/icon_explain.png",
    button_bg1: "res/button_bg1.png",
    button_bg2: "res/button_bg2.png",
    button_bg3: "res/button_bg3.png",
    button_hot: "res/button_hot.png",
    img_video: "res/img_video.png",
    img_lock: "res/img_lock.png",
    img_tip_red_point: "res/img_tip_dian.png",
    BtnHome: "res/fireup/BtnHome.png",

    circle_png: "res/circle.png",
    qqhomeJson: "res/QQHome.json",
    reviveLayer_json: "res/reviveLayer.json",
    overLayer_json: "res/overLayer.json",
    qqSceneLayer_json: "res/QQScene.json",
    lockLayer_json: "res/lockScene.json",

    //////////////////////////////////////////
    cbk_png: "res/bkskin/cbk.png",
    cbk2_png: "res/bkskin/cbk2.png",
    cbk3_png: "res/bkskin/cbk3.png",

    scene0_png: "res/bkskin/scene0.png",
    scene1_png: "res/bkskin/scene1.png",
    scene2_png: "res/bkskin/scene2.png",
    scene3_png: "res/bkskin/scene3.png",
    scene4_png: "res/bkskin/scene4.png",
    scene5_png: "res/bkskin/scene5.png",

    fontnumber1_png: "res/bkskin/number1.png",
    fontnumber2_png: "res/bkskin/number2.png",
    fontnumber3_png: "res/bkskin/number3.png",

    line1_png: "res/bkskin/line1.png",
    line2_png: "res/bkskin/line2.png",
    line3_png: "res/bkskin/line3.png",

    bkskin0_block_png: "res/bkskin/skin0/block.png",
    bkskin0_blockframe_png: "res/bkskin/skin0/blockframe.png",
    bkskin0_shield_png: "res/bkskin/skin0/shield.png",
    bkskin0_snowflake_png: "res/bkskin/skin0/snowflake.png",
    bkskin0_start_png: "res/bkskin/skin0/start.png",
    bkskin0_hole_png: "res/bkskin/skin0/hole.png",
    block_special_png: "res/bkskin/skin0/block_special.png",

    bkskin1_block_png: "res/bkskin/skin1/block.png",
    bkskin1_blockframe_png: "res/bkskin/skin1/blockframe.png",
    bkskin1_shield_png: "res/bkskin/skin1/shield.png",
    bkskin1_snowflake_png: "res/bkskin/skin1/snowflake.png",
    bkskin1_start_png: "res/bkskin/skin1/start.png",
    bkskin1_hole_png: "res/bkskin/skin1/hole.png",
    bkskin1_dot_png: "res/bkskin/skin1/dot.png",
    bkskin1_head_png: "res/bkskin/skin1/head.png",

    bkskin2_block_png: "res/bkskin/skin2/block.png",
    bkskin2_blockframe_png: "res/bkskin/skin2/blockframe.png",
    bkskin2_shield_png: "res/bkskin/skin2/shield.png",
    bkskin2_snowflake_png: "res/bkskin/skin2/snowflake.png",
    bkskin2_start_png: "res/bkskin/skin2/start.png",
    bkskin2_hole_png: "res/bkskin/skin2/hole.png",
    bkskin2_dot_png: "res/bkskin/skin2/dot.png",
    bkskin2_head_png: "res/bkskin/skin2/head.png",

    bkskin3_block_png: "res/bkskin/skin3/block.png",
    bkskin3_blockframe_png: "res/bkskin/skin3/blockframe.png",
    bkskin3_shield_png: "res/bkskin/skin3/shield.png",
    bkskin3_snowflake_png: "res/bkskin/skin3/snowflake.png",
    bkskin3_start_png: "res/bkskin/skin3/start.png",
    bkskin3_hole_png: "res/bkskin/skin3/hole.png",

    bkskin4_block_png: "res/bkskin/skin4/block.png",
    bkskin4_blockframe_png: "res/bkskin/skin4/blockframe.png",
    bkskin4_shield_png: "res/bkskin/skin4/shield.png",
    bkskin4_snowflake_png: "res/bkskin/skin4/snowflake.png",
    bkskin4_start_png: "res/bkskin/skin4/start.png",
    bkskin4_hole_png: "res/bkskin/skin4/hole.png",

    bkskin5_block_png: "res/bkskin/skin5/block.png",
    bkskin5_blockframe_png: "res/bkskin/skin5/blockframe.png",
    bkskin5_shield_png: "res/bkskin/skin5/shield.png",
    bkskin5_snowflake_png: "res/bkskin/skin5/snowflake.png",
    bkskin5_start_png: "res/bkskin/skin5/start.png",
    bkskin5_hole_png: "res/bkskin/skin5/hole.png",

    bobo_mp3: "res/bobo.mp3",
    bkmusic_mp3: "res/bkmusic.mp3",
    eat_ogg: "res/eat.mp3",
    coin_wav: "res/coins.mp3"
};

var g_resources = [];

for (var i = 1; i <= 6; i++) {
    g_resources.push(appendSceneStr("res/head" + i));
}

for (var i = 1; i <= 4; i++) {
    g_resources.push(appendSceneStr("snakedot" + i));
}

for (var i in res) {
    res[i] = appendSceneStr(res[i]);
    g_resources.push(res[i]);
}

//fireup 资源
var resFireup = {
    fireupPlan: "res/fireup/fireupPlan.png",
    fireBlock: "res/fireup/fireBlock.png",
    fireBullet: "res/fireup/fireBullet.png",
    itemDouble: "res/fireup/itemDouble.png",
    itemHeavyAtk: "res/fireup/itemHeavyAtk.png",
    itemSpeedUp: "res/fireup/itemSpeedUp.png",
    itemDoubleSid: "res/fireup/itemDoubleShield.png",
    itemHeavyAtkSid: "res/fireup/itemHeavyAtkShield.png",
    itemSpeedUpSid: "res/fireup/itemSpeedUpShield.png",
    //home
    btnBgBegan: "res/fireup/button_stop.png",
    btnClose: "res/fireup/closeBtn2.png",
    btnClose: "res/fireup/heroIcon.png",
    imgAttrAtk: "res/fireup/imgAttrAtk.png",
    imgAttrSpeed: "res/fireup/imgAttrSpeed.png",
    imgBg1: "res/fireup/imgBg1.png",
    imgHintBg2: "res/fireup/imgHintBg2.png",
    heroIcon: "res/fireup/heroIcon.png",
    fireHomeJson: "res/FireHome.json",
    //account
    achievement: "res/fireup/achievement.png",
    button_bg1: "res/fireup/button_bg1.png",
    imgHintBg1: "res/fireup/imgHintBg1.png",
    fireAccountJson: "res/fireup/FireAccount.json",
    //relive
    fireReliveJson: "res/fireup/FireRelive.json",
    circle: "res/fireup/circle.png"
};

for (var i in resFireup) {
    resFireup[i] = appendSceneStr(resFireup[i]);
    g_resources.push(resFireup[i]);
}