/**
 * Created by 13075 on 2017/11/13.
 */
var BeganLayer = wb.BaseLayer.extend({

    ctor: function () {
        this._super(res.startScene_json);
        Logic.beganLayer = this;
        this.initData();
        this.initUI();
        this.flushHeadImage();
        this.schedule(this.flusSkinTime, 60, "flusSkinTime");

        //var data = {
        //    user_id: 123456,
        //    user_name: Tool.nickname,
        //    user_score: "" + 500,
        //    project_id: Config.PRJID,
        //    user_icon: Tool.headurl
        //};
        //wb.wxHelper.httpRequest("https://api.vzhifu.net/superm/postscore", data);
    },
    onEnter: function () {
        this._super();
        Tool.showBanner(Config.bannerId4);
        Tool.requestScore();

        //this.showGetUserBtn();
        // // 弹出公告
        // this.scheduleOnce(function () {
        //     if (!Tool.noticeData) return;
        //     var flag = wb.getItem("notice_" + Tool.noticeData.id, 0);
        //     if (Tool.noticeData.open == "1" && flag != "1") {
        //         SceneManger.showNotice(Tool.noticeData.extra);
        //         wb.setItem("notice_" + Tool.noticeData.id, "1");
        //     }
        // }.bind(this), 1.5);


    },
    initData: function () {
        wb.EventManager.addCustomEventListener("diamond_change", function (event) {
            this.diamondText.setString(Tool.diamondNum);
        }.bind(this), this);

        wb.EventManager.addCustomEventListener("PushData", function (event) {
            // if (Tool.iconList && Tool.iconList.length > 0) this.moreBtn.setVisible(true);
            if (Tool.noticeData) this.ggBtn.setVisible(true);

            // cc.log("Tool.noticeData.open " + Tool.noticeData.open);
            // cc.log("Tool.noticeData.gameName " + Tool.noticeData.gameName);
            if (Tool.noticeData) {
                var flag = wb.getItem("notice_" + Tool.noticeData.gameName, 0);
                if (Tool.noticeData.open == "image" && flag != "1") {
                    SceneManger.showNotice(Tool.noticeData.extra);
                    wb.setItem("notice_" + Tool.noticeData.gameName, "1");
                }
            }

        }.bind(this), this);

        //wb.EventManager.addCustomEventListener("ticketNum_change", function (event) {
        //    this.flushCjBtn();
        //
        //    if (Tool.ticketNum > 0) this.dotImage.setVisible(true);
        //    else this.dotImage.setVisible(false);
        //}.bind(this), this);

        wb.EventManager.addCustomEventListener("wxPushData", function (event) {
            this.showBottomBtn();
        }.bind(this), this);

    },
    flushHeadImage: function () {
        //if (this.snakeHead) {
        //    this.snakeHead.setSkin(SnakeHelper.skinIndex);
        //} else {
        //    var snakeHead = new SnakeSimple(SnakeHelper.skinIndex);
        //    this.headSp.getParent().addChild(snakeHead, 6);
        //    snakeHead.setPosition(this.headSp.getPosition());
        //    this.snakeHead = snakeHead;
        //
        //}
    },
    flushCjBtn: function () {
        //if (Tool.ticketNum > 0) this.cjBtn.runAction(cc.sequence(cc.rotateBy(0.3, 90), cc.scaleTo(0.1, 1.1), cc.scaleTo(0.1, 0.9), cc.scaleTo(0.1, 1.0), cc.delayTime(2)).repeatForever());
        //else this.cjBtn.stopAllActions();
    },
    initUI: function () {

        //var sp = GameSpine.createXssSp(cc.p(100, 100), this);
        //sp.setAnimation(0, "action4", true);
        //sp.setLocalZOrder(100);

        //this.headSp = wb.FW(this.rootNode, "headSp");
        this.snakeNText = wb.FW(this.rootNode, "snakeNText");
        this.snakeNText.setString(Config.beganSnakeL);

        wb.FW(this.rootNode, "skinBtn", function () {
            cc.log("skinBtn");
            SceneManger.showSkin();
        });

        this.cjBtn = wb.FW(this.rootNode, "cjBtn", function () {
            cc.log("cjBtn");
            SceneManger.showLottery();
            wb.wxHelper.tj("button", "ChouJiang", "Zhuye");
        }.bind(this));
        this.flushCjBtn();


        wb.FW(this.rootNode, "sceneBtn", function () {
            cc.log("sceneBtn");
            SceneManger.showSelectScene();
        });

        wb.FW(this.rootNode, "startBtn", function () {
            cc.log("startBtn");

            SceneManger.showSelectEnter();
            wb.wxHelper.tj("button", "KaiShi", "Zhuye");

            // Logic.beganLayer.remove();
        }.bind(this));

        wb.FW(this.rootNode, "invitedBtn", function () {
            cc.log("invitedBtn");
            wb.wxTool.fxMessage("default", function () {
                // Tool.addDiamond(10);
            });
        }.bind(this));

        this.moreBtn = wb.FW(this.rootNode, "moreBtn", function () {
            var index = Tool.getInconIndex();
            cc.log("getInconIndex " + index);
            var data = Tool.iconList[index];
            if (data.open == "miniprogram") {
                // wb.wx.navigateToMiniProgram();
                wb.wx.navigateToMiniProgram({
                    appId: data.pushAppID,
                    path: data.openPath,
                    extraData: {
                        //支持旧版盒子的二次跳转
                        vigame_from: "miniprogram"
                    },
                    success: function (res) {
                        //跳转小程序成功
                        wb.wxHelper.tj("ad_miniprogram", "tap-home-moreBtn-openSusecc");
                    }
                });
            } else {
                wb.wx.previewImage({
                    urls: [Tool.iconList[index].pushImage]
                });
            }
            // wb.wxHelper.tj("btn_click", "tap-home-moreBtn");

        }.bind(this));
        this.moreBtn.setVisible(false);


        wb.FW(this.rootNode, "qphText", function () {
            cc.log("qphText");
            SceneManger.showRank();
            wb.wxHelper.tj("button", "JinRuPaiHang", "Zhuye");
        }.bind(this));

        var zsdImage = wb.FW(this.rootNode, "zsdImage", function () {
            cc.log("zsdImage");
            //  SceneManger.showDiamond();
        }.bind(this));

        if (Config.isWeb) {
            zsdImage.setVisible(false);
        }

        cc.log("Tool.bestScore " + Tool.bestScore);
        // wb.FW(this.rootNode, "scoreText").setString(wb.subScore(Tool.bestScore));
        wb.FW(this.rootNode, "scoreText").setString(Tool.bestScore);
        this.diamondText = wb.FW(this.rootNode, "diamondText");
        this.diamondText.setString(Tool.diamondNum);
        wb.FW(this.rootNode, "addZsBtn").setVisible(false);

        wb.FW(this.rootNode, "dwbcBtn", function () {
            cc.log("dwbcBtn");
            SceneManger.showInvite();
        }.bind(this));

        //this.ggBtn = wb.FW(this.rootNode, "ggBtn", function () {
        //    cc.log("ggBtn");
        //    SceneManger.showNotice(Tool.noticeData.extra);
        //}.bind(this));
        //if (!Tool.noticeData) this.ggBtn.setVisible(false);
        //this.ggBtn.runAction(cc.sequence(cc.scaleTo(0.2, 1.35), cc.scaleTo(0.2, 1.2), cc.delayTime(3)).repeatForever());

        Config.SNAKE_P = wb.FW(this.rootNode, "snakPanel").getPosition();


        //if (Config.isWeb) {
        //    var invitedBtnPanel = wb.FW(this.rootNode, "invitedBtnPanel");
        //    var startBtnPanel = wb.FW(this.rootNode, "startBtnPanel");
        //    invitedBtnPanel.setVisible(false);
        //    startBtnPanel.y = (startBtnPanel.y + invitedBtnPanel.y) / 2;
        //}
        this.startBtnPanel = wb.FW(this.rootNode, "startBtnPanel");

        var dhkImage = wb.FW(this.rootNode, "dhkImage");
        dhkImage.runAction(cc.sequence(cc.fadeIn(1.5), cc.fadeOut(1.5)).repeatForever());

        wb.FW(this.rootNode, "nzxhPanel").setVisible(false);
        this.showBottomBtn();

        this.initVideoStart();
        this.initSkinScroll();

        if (wb.isWX()) {
            SceneManger.showUserInfo();
        }
        Tool.isToDay();

        var backBtn = wb.FW(this.rootNode, "backBtn", function () {
            wb.GameHelper.backMain();
        });

        // 单模式检测
        var gameList = wb.XYXManager.getGameList();
        for (var i = 0; i < gameList.length; i++) {
            cc.log("gameList " + gameList[i]);
            if ("ssdzz" == gameList[i]) {
                backBtn.setVisible(false);
                this.addKeyBoard();
                break;
            }
        }
    },
    addKeyBoard: function () {
        cc.eventManager.addListener({
            event: cc.EventListener.KEYBOARD,
            onKeyReleased: function (key, event) {
                if (key == cc.KEY.back) {
                    if (wb.PayManager.isExitGame() == 1) {
                        wb.PayManager.setOnGameExit(function () {
                            cc.director.end();
                        });
                        wb.PayManager.openExitGame();
                        return;
                    }
                    cc.director.end();
                }
            }.bind(this)
        }, this);
    },
    initVideoStart: function () {
        this.videoStartBtnPanel = wb.FW(this.rootNode, "videoStartBtnPanel");
        this.videoStartBtnPanel.setVisible(false);
        var videoStartBtn = wb.FW(this.rootNode, "videoStartBtn", function () {
            if(!wb.ADManager.isAdReady("skin")){
                SceneManger.showTip("视频未准备好~");
                return;
            }

            videoStartBtn.setTouchEnabled(false);

            wb.ADManager.openAdC("skin", function (a, result) {
                wb.wxHelper.tj("button", "MianFeiShiWan", "Zhuye");
                videoStartBtn.setTouchEnabled(true);

                if (result == 0) {
                    ////// 存储解锁时间
                    //var time = new Date().getTime();
                    //wb.setItem("skinlocktime" + SnakeHelper.skinIndex, time);
                    //
                    //this.flushSkinInfo(SnakeHelper.skinIndex);
                    ////   SceneManger.showSelectEnter();

                    wb.setItem("skinlock" + SnakeHelper.skinIndex, 1);
                    SceneManger.showTip("解锁成功~");
                    this.flushSkinInfo(SnakeHelper.skinIndex);
                } else {
                    SceneManger.showTip("视频未播放完~");
                }
            }.bind(this));
        }.bind(this));


        this.skinBuyBtn = wb.FW(this.rootNode, "skinBuyBtn", function () {
            cc.log("skinBuyBtn");
            var lockTime = Tool.getSkinLockTime(SnakeHelper.skinIndex);
            if (lockTime > 0) return;

            var price = Config.Skin[SnakeHelper.skinIndex].price;
            if (Tool.diamondNum < price) {
                SceneManger.showTip("钻石不足~");
            } else {
                Tool.addDiamond(-price);
                wb.setItem("skinlock" + SnakeHelper.skinIndex, 1);
                SceneManger.showTip("解锁成功~");
                this.flushSkinInfo(SnakeHelper.skinIndex);
            }
        }.bind(this));
    },
    // 一开始获取没有解锁的皮肤
    getLockSkinIndex: function () {
        var index = SnakeHelper.skinIndex;
        if (Logic.isFirstBeganGame) {
            Logic.isFirstBeganGame = false;
            return index;
        }

        var have = [];
        var nothave = [];
        // 70% 已经购买的  30 % 没有买的试玩
        for (var i = Config.Skin.length - 1; i >= 0; i--) {
            //var lockTime = Tool.getSkinLockTime(i);
            //if (lockTime > 0) continue;

            var tag = wb.getItem("skinlock" + i, 0);
            if (tag == 1) {
                have.push(i);
            } else {
                nothave.push(i);
            }
        }
        var index = 0;
        if (wb.randNum(0, 100) >= 30 && have.length > 0) {
            index = have[wb.randNum(0, have.length - 1)];
        } else if (nothave.length > 0) {
            index = nothave[wb.randNum(0, nothave.length - 1)];
        }
        cc.log("getLockSkinIndex " + index);
        // var index = wb.randNum(0, Config.Skin.length - 1);
        return index;
    },
    initSkinScroll: function () {

        var skinSlidePanel = wb.FW(this.rootNode, "skinSlidePanel");
        var skinSlidePanelSize = skinSlidePanel.getContentSize();
        skinSlidePanel.setVisible(false);

        var snakeList = [];
        for (var i = 0; i < Config.Skin.length; i++) {
            var snakeHead = new SnakeSimple(i);
            snakeHead.setPositionY(12);
            snakeList.push(snakeHead);
        }

        var slideLayer = new SlideLayer(skinSlidePanelSize, snakeList);
        slideLayer.setPosition(skinSlidePanel.getPosition());
        this.addChild(slideLayer);

        wb.FW(this.rootNode, "skinLeftBtn", function () {
            cc.log("skinLeftBtn");
            slideLayer.rightMove();
            wb.wxHelper.tj("button", "XiangZuo", "Zhuye");

        }.bind(this));

        wb.FW(this.rootNode, "skinRightBtn", function () {
            cc.log("skinRightBtn");
            slideLayer.leftMove();
            wb.wxHelper.tj("button", "XiangYou", "Zhuye");
        }.bind(this));

        var skinBuyBtnPanel = wb.FW(this.rootNode, "skinBuyBtnPanel");
        this.sZsImage = wb.FW(skinBuyBtnPanel, "sZsImage");
        this.sSkinText = wb.FW(skinBuyBtnPanel, "sSkinText");
        this.sZsNumText = wb.FW(skinBuyBtnPanel, "sZsNumText");
        this.sTimeText = wb.FW(skinBuyBtnPanel, "sTimeText");
        this.sTimeDotText = wb.FW(skinBuyBtnPanel, "sTimeDotText");
        this.sTimeDotText.runAction(cc.sequence(cc.delayTime(1), cc.fadeIn(0), cc.delayTime(1), cc.fadeOut(0)).repeatForever());

        slideLayer.setMoveCallFunc(function (index) {
            this.flushSkinInfo(index);
        }.bind(this));

        //if (Tool.toDayLoginNum == Config.lotteryAutoShow - 1 && Logic.isFirstBeganGame) {
        //    SceneManger.showLottery();
        //}
        slideLayer.moveToIndex(this.getLockSkinIndex(), true);

    },
    flusSkinTime: function () {
        this.flushSkinInfo(SnakeHelper.skinIndex);
    },
    flushSkinInfo: function (index) {
        cc.log("flushSkinInfo " + index);
        var tag = wb.getItem("skinlock" + index, 0);
        var price = Config.Skin[index].price;
        if (price <= 0) tag = 1;
        if (Config.isAllUnLock) tag = 1;

        this.sZsImage.setVisible(false);
        this.sSkinText.setVisible(false);
        this.sZsNumText.setVisible(false);
        this.sTimeText.setVisible(false);
        this.sTimeDotText.setVisible(false);
        this.skinBuyBtn.setTouchEnabled(true);
        // 已拥有
        if (tag == 1) {
            this.skinBuyBtn.setTouchEnabled(false);
            this.sSkinText.setVisible(true);
            this.videoStartBtnPanel.setVisible(false);
            this.startBtnPanel.setVisible(true);
        } else {
            var lockTime = Tool.getSkinLockTime(index);
            if (lockTime > 0) {
                this.sTimeText.setVisible(true);
                this.sTimeText.setString(Tool.getSkinLockTimeStr(lockTime));
                this.videoStartBtnPanel.setVisible(false);
                this.startBtnPanel.setVisible(true);
                this.sTimeDotText.setVisible(true);
            } else {
                this.sZsNumText.setVisible(true);
                this.sZsImage.setVisible(true);
                this.sZsNumText.setString(price);
                this.videoStartBtnPanel.setVisible(true);
                this.startBtnPanel.setVisible(false);
            }
        }
        SnakeHelper.skinIndex = index;

    },
    remove: function (sender) {
        wb.DataTJManager.event2("tap_ssdzz_skin" + (SnakeHelper.skinIndex + 1), "tap_ssdzz_skin" + (SnakeHelper.skinIndex + 1));


        wb.EventManager.dispatchCustomEvent("flushBk");


        SnakeHelper.bkLayer.isGaming = true;
        SnakeHelper.bkLayer.itemLayer.setVisible(true);

        SnakeHelper.bkLayer.initSnake();

        GuideManger.pushGuide("guid_control", SnakeHelper.bkLayer, 2, 1);
        GuideManger.pushGuide("guid_info", SnakeHelper.bkLayer, 2, 1);
        SnakeHelper.bkLayer.drawCyhyScore();

        wb.ADManager.openAd("banner");
        Tool.playMusic(res.bk2_mp3, true);
        wb.wxData.vigameAdFlag = false;

        this.removeFromParent();
        // this.setVisible(false);
    },
    showBanner: function (flag) {
        if (this.bannerSp && !flag) return;
        if (this.bannerSp) this.bannerSp.removeFromParent();
        if (Tool.bannerList && Tool.bannerList.length > 0) {
            var bIndex = Tool.getBannerIndex();
            this.bIndex = bIndex;
            // cc.log("this.bIndex " + bIndex);
            // cc.log("Data.bannerList " + Data.bannerList.length);
            wb.wxTool.loadImage(Tool.bannerList[this.bIndex].icon, function (texture2d) {
                var bannerSp = new cc.Sprite(texture2d);
                bannerSp.setAnchorPoint(cc.p(0, 0));
                bannerSp.setPosition(cc.p(0, 0));
                this.addChild(bannerSp, 100);
                this.bannerSp = bannerSp;
            }.bind(this));
        }
    },
    showBottomBtn: function () {
        if (!wb.isWX()) return;
        if (!wb.wxData.pushData) return;
        if (this.isShowBottomBtn) return;

        this.isShowBottomBtn = true;

        var diImage = wb.FW(this.rootNode, "nzxhPanel");

        var pushAdLayer = wb.createPushAdLayer("home");
        if (pushAdLayer) {
            pushAdLayer.setPosition(diImage.getPosition());
            this.rootNode.addChild(pushAdLayer);
        }

        var mBtn = wb.createPushAdBtn(null, null, cc.size(70, 70));
        if (mBtn) {
            mBtn.setPlacement("home");
            mBtn.setPosition(this.moreBtn.getPosition());
            this.addChild(mBtn, 4);

            mBtn.runAction(cc.sequence(cc.scaleTo(0.2, 1.35), cc.scaleTo(0.2, 1.2), cc.delayTime(2)).repeatForever());
        }
    }
});
