var loadingsceneres = {
    loadScene_json: "res/loadScene.json"
};

var loadingres = [];
for (var i in loadingsceneres) {
    loadingres.push(loadingsceneres[i]);
}

var LoadLayer = wb.BaseLayer.extend({
    _precent: 0,
    _bar: null,
    _text: null,
    ctor: function () {
        this._super(loadingsceneres.loadScene_json);

        this._percent = 0;
        this.initLayer();
    },

    initLayer: function () {

        this.loadLabel = wb.FW(this.rootNode, "loadLabel");
        this.loadLabel.setString(0);

        this.scheduleOnce(function () {
            this.loadGameRes();
        }.bind(this), 0.0);
    },

    loadGameRes: function () {
        var self = this;
        cc.loader.load(g_resources,
            function (result, count, loadedCount) {
                var percent = (loadedCount / count * 100) | 0;
                self._percent = Math.min(percent, 100);
                self.flushLoadBar();
            }.bind(this), function () {
                self.beganGame();
            }.bind(this));
    },
    flushLoadBar: function () {
        this.loadLabel.setString(this._percent);
    },

    beganGame: function () {
        wb.wx.loginPost();

        Tool.init();
        GoodsManger.init();
        GuideManger.init();
        SnakePool.init();

        cc.director.runScene(new GameMainScene());
    }
});

var LoadScene = cc.Scene.extend({
    onEnter: function () {
        this._super();
        var layer = new LoadLayer();
        this.addChild(layer);
    }
});