/**
 * Created by 13075 on 2017/11/13.
 */
var LoginLayer = wb.BaseLayer.extend({
    ctor: function () {
        this._super(res.loginScene_json);
        this.initData();
        this.initUI();

    },
    onEnter: function () {
        this._super();
        wb.EventManager.dispatchCustomEvent("userBtnState", "hide");
    },
    onExit: function () {
        this._super();
        wb.EventManager.dispatchCustomEvent("userBtnState", "show");
    },
    initData: function () {
        this.popUI("uiPanel", 0.1);
    },
    initUI: function () {
        wb.FW(this.rootNode, "closeBtn", function () {
            cc.log("closeBtn");
            wb.wxHelper.tj("button", "GuanBi", "QianDao");
            this.closeLayer();
        }.bind(this));

        var lqBtn = wb.FW(this.rootNode, "lqBtn", function () {
            cc.log("lqBtn");

            Tool.addDiamond(30);
            wb.wxHelper.tj("button", "DengLuLingQu", "QianDao");
            this.closeLayer();

            //if (Config.loginSharedSwitch != 1) {
            //    Tool.addDiamond(30);
            //    wb.wxHelper.tj("button", "DengLuLingQu", "QianDao");
            //    this.closeLayer();
            //} else {
            //    wb.wxHelper.tj("share", "DengLuLingQu", "QianDao");
            //    wb.wxTool.fxMessage("default", function () {
            //        Tool.addDiamond(30);
            //        this.closeLayer();
            //    }.bind(this));
            //}
        }.bind(this));

        //if (!Config.isAllUnLock) {
        //    lqBtn.setVisible(false);
        //    this.scheduleOnce(function () {
        //        lqBtn.setVisible(true);
        //    }.bind(this), 3);
        //}


        var videoBtn = wb.FW(this.rootNode, "videoBtn", function () {
            cc.log("videoBtn");
            wb.wxHelper.tj("video", "LingQuShuangBei", "QianDao");
            if (!wb.ADManager.isVideoEnable) {
                SceneManger.showTip("视频未加载好~");
                return;
            }
            videoBtn.setTouchEnabled(false);
            wb.ADManager.openAdC("video", function (a, result) {
                videoBtn.setTouchEnabled(true);

                if (result == 0) {
                    Tool.addDiamond(60);
                    this.closeLayer();
                } else {
                    SceneManger.showTip("视频未播放完~");
                }
            }.bind(this));

        }.bind(this));

        var lightPanel = wb.FW(this.rootNode, "lightPanel");
        GameSpine.createRewardSp(cc.p(0, 0), lightPanel);

        if (Config.isAllUnLock) {
            wb.FW(this.rootNode, "videoPanel").setVisible(false);
            //videoBtn.setVisible(false);
        }
        this.showBottomBtn();
    },
    showBottomBtn: function () {
        var diImage = wb.FW(this.rootNode, "htImage");
        diImage.setVisible(false);

        if (!wb.isWX()) return;
        if (!wb.wxData.pushData) return;
        if (this.isShowBottomBtn) return;

        this.isShowBottomBtn = true;


        var pushAdLayer = wb.createPushAdLayer("gameLogin");
        if (pushAdLayer) {
            pushAdLayer.setPosition(diImage.getPosition());
            diImage.getParent().addChild(pushAdLayer);
        }
    }
});