/**
 * Created by Zack on 2018/5/7.
 */

var PlayerHeadNormal = cc.Node.extend({
    ctor: function (url, size) {
        this._super();
        this.initData();
        this.initUI(url, size);
        return true;
    },
    initData: function () {
    },
    initUI: function (url, size) {
        // 加载的头像
        wb.wxTool.loadImage(url, function (texture2d) {
            cc.log("url " + url);
            var sp = new cc.Sprite(texture2d);
            wb.scaleToSize(sp, size);
            this.addChild(sp);
        }.bind(this));
    }
});

var PlayerHead = cc.ClippingNode.extend({
    ctor: function (url, size, isRound) {
        this._super();
        this.initData();
        this.initUI(url, size, isRound);
        return true;
    },
    initData: function () {
    },
    initUI: function (url, size, isRound) {
        this._holes = new cc.Node();
        this.addChild(this._holes);

        this._holesStencil = new cc.Node();
        this.stencil = this._holesStencil;

        if (isRound) {
            this.inverted = false;
            this.alphaThreshold = 0.1;

            var holeStencil = new cc.Sprite(res.bigdot_png);
            this._holesStencil.addChild(holeStencil);
            wb.scaleToSize(holeStencil, size);
        }

        // 加载的头像
        wb.wxTool.loadImage(url, function (texture2d) {
            cc.log("url " + url);
            var sp = new cc.Sprite(texture2d);
            wb.scaleToSize(sp, size);
            this._holes.addChild(sp);
        }.bind(this));
    }
});
