/**
 * Created by Zack on 2017/10/12.
 */

var SceneManger = {
    bkLayer: null,
    pauseNum: 0,
    pauseGame: function () {
        this.pauseNum++;
        SnakeHelper.bkLayer.isGaming = false;
    },
    resumeGame: function () {
        this.pauseNum--;
        if (this.pauseNum <= 0) {
            SnakeHelper.bkLayer.isGaming = true;
        }
    },
    showSkin: function () {
        cc.director.getRunningScene().addChild(new SkinLayer(), 10);
    },
    showHelp: function () {
        cc.director.getRunningScene().addChild(new HelpLayer(), 10);
    },
    gameMain: function (flag) {
        Logic.dStartGame = flag;
        cc.director.runScene(new GameMainScene());
    },
    gameBegan: function () {
        cc.director.runScene(new BeganScene());
    },
    showTip: function (str, func) {
        cc.director.getRunningScene().addChild(new TipLayer(str, func), 11);
    },
    showSkinTip: function (str, func) {
        cc.director.getRunningScene().addChild(new SkinTipLayer(str, func), 11);
    },
    showRevive: function () {
        cc.director.getRunningScene().addChild(new ReviveLayer(), 10);
         Logic.reviveNum++;
    },
    showEnd: function () {
        cc.director.getRunningScene().addChild(new EndLayer(), 10);
        Logic.reviveNum = 0;

        //if(Logic.reviveTimeIsShow){
        //    // 下局不再显示
        //    Tool.revivePlFlag = true;
        //}
        // 下局是否显示
        Tool.revivePlFlag = Logic.reviveTimeIsShow;
        Logic.reviveTimeIsShow = false;
    },
    showDiamond: function () {
        cc.director.getRunningScene().addChild(new DiamondLayer(), 10);
    },
    showRank: function () {
        cc.director.getRunningScene().addChild(new RankLayer(), 10);
    },
    showGroup: function (shareTickets) {
        cc.director.getRunningScene().addChild(new GroupLayer(shareTickets), 10);
    },
    showPause: function () {
        cc.director.getRunningScene().addChild(new PauseLayer(), 10);
    },
    showSelectScene: function () {
        cc.director.getRunningScene().addChild(new SelectSceneLayer(), 10);
    },
    showInvite: function () {
        cc.director.getRunningScene().addChild(new InviteLayer(), 10);
    },
    showBox: function () {
        cc.director.getRunningScene().addChild(new BoxLayer(), 10);
    },
    showLottery: function () {
        cc.director.getRunningScene().addChild(new LotteryLayer(), 10);
    },
    showNotice: function (str) {
        // cc.director.getRunningScene().addChild(new NoticeLayer(str), 10);
    },
    showLogin: function () {
        cc.director.getRunningScene().addChild(new LoginLayer(), 10);
    },
    showSelectEnter: function () {
        cc.director.getRunningScene().addChild(new SelectEnterLayer(), 10);
    },
    showUserInfo: function () {
        var headurl = wb.getItem("wxUnionId", "");
        if (headurl.length > 1) {
            return null;
        }

        var layer = wb.createUserInfoLayer(function (userInfos) {
            cc.log("SceneManger UserInfoLayer ");
            cc.log(userInfos);
            Tool.initUserInfo(userInfos);
        }, {btnBackgroundColor: "#D9BAFF"});
        if (layer)  cc.director.getRunningScene().addChild(layer, 100);

    },
    showRewardLayer: function (dataIndex, func) {
        cc.director.getRunningScene().addChild(new RewardLayer(dataIndex, func), 10);
    },
    showDjsLayer: function () {
        cc.director.getRunningScene().addChild(new DjsLayer(), 10);
    }
};