/**
 * Created by Administrator on 2018/8/16.
 */

var SelectEnterLayer = wb.BaseLayer.extend({
    ctor: function () {
        this._super(res.selectEnterScene_json);
        this.initData();
        this.initUI();
    },
    initData: function () {
        this.popUI("uiPanel", 0.1);
    },
    initUI: function () {
        wb.FW(this.rootNode, "closeBtn", function () {
            wb.wxHelper.tj("button", "GuanBi", "ChangJing");
            this.closeLayer();
        }.bind(this));

        wb.FW(this.rootNode, "enterBtn", function () {
            wb.wxHelper.tj("button", "ZhiJieJinRu", "ChangJing");
            this.closeLayer();
            Logic.beganLayer.remove();
        }.bind(this));

        var jbBtn = wb.FW(this.rootNode, "jbBtn", function () {
           // wb.wxHelper.tj("video", "DianWoJiaBeiSheChang", "ChangJing");
            wb.DataTJManager.event2("video_DaoJuMoShi_KaiJuJiaQiang","video_DaoJuMoShi_KaiJuJiaQiang");
            if(!wb.ADManager.isAdReady("dj_mfzs")){
                SceneManger.showTip("视频未准备好~");
                return;
            }

            jbBtn.setTouchEnabled(false);
            wb.ADManager.openAdC("dj_mfzs", function (a, result) {
                jbBtn.setTouchEnabled(true);

                if (result == 0) {
                    Tool.addBeganSnakeL(12);
                    this.closeLayer();
                    Logic.beganLayer.remove();
                    SnakeHelper.snakeHead.addShield();
                } else {
                    SceneManger.showTip("视频未加载好~");
                }
            }.bind(this));
        }.bind(this));

        this.enterPanel = wb.FW(this.rootNode, "enterBtn");
        this.jbPanel = wb.FW(this.rootNode, "jbPanel");
        this.videoScenePanel = wb.FW(this.rootNode, "videoScenePanel");

        var videoSceneBtn = wb.FW(this.rootNode, "videoSceneBtn", function () {
            cc.log("videoSceneBtn");
            wb.wxHelper.tj("video", "KanShiPinJieSuo", "ChangJing");
            if(!wb.ADManager.isAdReady("skin")){
                SceneManger.showTip("视频未准备好~");
                return;
            }

            videoSceneBtn.setTouchEnabled(false);
            wb.ADManager.openAdC("skin", function (a, result) {
                videoSceneBtn.setTouchEnabled(true);

                if (result == 0) {
                    wb.setItem("sceneLock" + BgSkinManger.skinIndex, 1);
                    this.flushUI();

                    this.closeLayer();
                    Logic.beganLayer.remove();
                } else {
                    SceneManger.showTip("视频未播放完~");
                }
            }.bind(this));
        }.bind(this));

        this.initSkinScroll();
        this.flushUI();
        this.showBottomBtn();
    },
    flushUI: function () {
        var result = wb.getItem("sceneLock" + BgSkinManger.skinIndex, 0);

        this.jbPanel.setVisible(true);
        if (BgSkinManger.skinIndex <= 0 || result == 1 || Config.isAllUnLock) {
            if (Config.isAllUnLock) this.jbPanel.setVisible(false);

            this.enterPanel.setVisible(true);
            this.videoScenePanel.setVisible(false);
        } else {
            this.enterPanel.setVisible(false);
            this.videoScenePanel.setVisible(true);
            this.jbPanel.setVisible(false);
        }

    },
    initSkinScroll: function () {


        var uiPanel = wb.FW(this.rootNode, "uiPanel");
        var skinSlidePanel = wb.FW(this.rootNode, "skinSlidePanel");
        var skinSlidePanelSize = skinSlidePanel.getContentSize();
        skinSlidePanel.setVisible(false);

        var itemList = [];
        for (var i = 0; i < 4; i++) {
            var path = "res/selectEnterNew/bj" + i + ".png";
            var item = new cc.Sprite(path);
            itemList.push(item);
        }

        var slideLayer = new SlideLayer(skinSlidePanelSize, itemList);
        slideLayer.setPosition(skinSlidePanel.getPosition());
        uiPanel.addChild(slideLayer);
        slideLayer.setMoveCallFunc(function (index) {
            cc.log("setMoveCallFunc index " + index);

            BgSkinManger.skinIndex = index;
            if (Logic.bgLayer) Logic.bgLayer.flushImage();
            this.flushUI();

            //wb.wxHelper.tj("btn_click", "tap-selectBk-bk" + index);
        }.bind(this));

        wb.FW(this.rootNode, "leftBtn", function () {
            wb.wxHelper.tj("button", "XiangZuo", "ChangJing");
            slideLayer.leftMove();
        }.bind(this));

        wb.FW(this.rootNode, "rightBtn", function () {
            wb.wxHelper.tj("button", "XiangYou", "ChangJing");
            slideLayer.rightMove();
        }.bind(this));

        slideLayer.moveToIndex(BgSkinManger.skinIndex, true);
    },
    showBottomBtn: function () {
        var diImage = wb.FW(this.rootNode, "htImage");
        diImage.setVisible(false);

        if (!wb.isWX()) return;
        if (!wb.wxData.pushData) return;
        if (this.isShowBottomBtn) return;
        this.isShowBottomBtn = true;

        var pushAdLayer = wb.createPushAdLayer("selectEnterBg");
        if (pushAdLayer) {
            pushAdLayer.setPosition(diImage.getPosition());
            diImage.getParent().addChild(pushAdLayer);
        }
    }
});