/**
 * Created by 13075 on 2017/11/13.
 */

var SnakeSimple = cc.Node.extend({
    ctor: function (index) {
        this._super();
        this.initData();
        this.initUI(index);
    },
    initData: function () {
        this.spList = [];
    },
    initUI: function (index) {
        var config = Config.Skin[index];

        var spImage = [config.headPng, config.bodyPng, config.bodyPng2];
        var spColor = [config.headColor, config.bodyColor1, config.bodyColor2];

        var dh = 0;
        for (var i = 0; i < 3; i++) {
            var sp = new cc.Sprite();
            sp.setTexture(spImage[i]);
          //  sp.setColor(spColor[i]);
            sp.setAnchorPoint(cc.p(0.5, 0));
            //this.addChild(sp, 3 - i);
            this.addChild(sp);

            var h = sp.getContentSize().height;
            if (i > 0) dh = dh + h - 4;
            sp.runAction(cc.moveTo(0.0, cc.p(0, -dh)));
            this.spList.push(sp);
        }
    },
    setSkin: function (index) {
        var config = Config.Skin[index];

        var spImage = [config.headPng, config.bodyPng, config.bodyPng];
        var spColor = [config.headColor, config.bodyColor1, config.bodyColor2];
        for (var i = 0; i < 3; i++) {
            this.spList[i].setTexture(spImage[i]);
            this.spList[i].setColor(spColor[i]);
        }
    },
    runSnakeAction: function () {
        var dx = 10;
        var time = 0.2;
        var seq = cc.sequence(cc.moveBy(time, cc.p(dx, 0)), cc.moveBy(time * 2, cc.p(-dx * 2, 0)), cc.moveBy(time, cc.p(dx, 0)));
        this.spList[1].runAction(seq.clone().repeatForever());
        this.scheduleOnce(function () {
            this.spList[2].runAction(seq.clone().repeatForever());
        }.bind(this), 0.1);
        //  this.spList[2].runAction(seq);
    }
});