/**
 * Created by 13075 on 2017/10/11.
 */

//cc.audioEngine.playMusic = function () {
//
//};

var Tool = {
    isEffectEnable: true,
    isBackgroundEnable: true,
    winSize: cc.size(640, 1136),

    diamondNum: 0, // 钻石
    bestScore: 0,
    rewardNum: 0,  // 超过 150 分的次数
    nickname: "游客",
    userId: 0,
    headurl: "",

    iconList: null,
    bannerList: null,
    noticeData: null,

    iconIndex: -1,
    bannerIndex: -1,

    isVideoEnable: false,

    reLiveNum: 0, // 复活次数

    ticketNum: 0, // 抽奖券

    revivePlFlag: false,  // 复活插屏标记，

    init: function () {

        this.diamondNum = this.getDiamond();
        //  this.diamondNum = 10000;
        this.bestScore = this.getBestScore();

        this.lotteryPlShowNum = parseInt(wb.getItem("qqbk_lotteryPlShowNum", "0"));
        this.toDayLoginNum = parseInt(wb.getItem("qqbk_toDayLoginNum", "0")); // 当天登陆次数

        //wb.EventManager.addCustomEventListener(wb.HTTPRE, function (event) {
        //    var data = event.getUserData();
        //    this.httpFunc(data);
        //}.bind(this));

        this.initUserInfo();
        this.winSize = cc.director.getWinSize();

        //this.initPushData();


        //this.initBanner();
        //this.initVideo();

        //  Config.beganSnakeL = parseInt(wb.getItem("beganSnakeL", 5));
        this.ticketNum = parseInt(wb.getItem("ticketNum", 0));
        this.cjVideoNum = parseInt(wb.getItem("cjVideoNum", 2)); // 视频抽奖次数
        this.boxFxNum = parseInt(wb.getItem("boxFxNum", 0));  // 宝箱分享次数

        cc.log("this.ticketNum " + this.ticketNum);
        cc.log("this.cjVideoNum " + this.cjVideoNum);

        this.nickname = Tool.getItem("qqbk_nickname", "游客");
        this.headurl = Tool.getItem("qqbk_headurl", "http://www.vigame.cn/img/sina.jpg");

        this.setToDayLoginNum(this.toDayLoginNum + 1);

        this.initCjData();
        this.shareRightTop();
    },

    setToDayLoginNum: function (num) {
        this.toDayLoginNum = num;
        wb.setItem("qqbk_toDayLoginNum", "" + this.toDayLoginNum);
    },
    setLotteryPlShowNum: function (num) {
        this.lotteryPlShowNum = num;
        wb.setItem("qqbk_lotteryPlShowNum", "" + this.lotteryPlShowNum);
    },
    flushLotteryPlShowNum: function (num) {
        this.lotteryPlShowNum = this.lotteryPlShowNum + num;
        this.setLotteryPlShowNum(this.lotteryPlShowNum);
    },
    initCjData: function () {
        for (var i = 0; i < Config.cjData.length; i++) {
            var data = Config.cjData[i];
            if (data.type == -1) {
                if (data.num < 10) {
                    data.goodsImage = "res/lotteryNew/zs1.png";
                } else if (data.num < 25) {
                    data.goodsImage = "res/lotteryNew/zs2.png";
                } else {
                    data.goodsImage = "res/lotteryNew/zs3.png";
                }

            } else if (data.type == -2) {
                data.goodsImage = "res/lotteryNew/100y.png";
            }
        }
    },
    flushTicket: function (num) {
        cc.log("flushTicket");
        this.ticketNum = this.ticketNum + num;
        wb.setItem("ticketNum", this.ticketNum);
        wb.EventManager.dispatchCustomEvent("ticketNum_change", {});
    },
    shareRightTop: function () {
        // 右上角分享
        wb.wx.onShareAppMessage(function (res) {

            var sData = null;
            var shareList = wb.wxData.shareData.shareList;
            for (var i = 0; i < shareList.length; i++) {
                cc.log("shareData[i].placement " + shareList[i].placement);
                if (shareList[i].placement == "default") {
                    sData = shareList[i];
                }
            }

            var titleStr = Config.fxStr[wb.randNum(0, Config.fxStr.length - 1)];
            var imagePath = Config.fxImage[wb.randNum(0, Config.fxImage.length - 1)];

            if (sData) {
                titleStr = sData.title;
                imagePath = sData.imageUrl;
            }

            var data = {
                title: titleStr,
                imageUrl: imagePath
            };
            return data;
        });
    },
    initVideo: function () {
    },
    showVideo: function (func) {
        wb.ADManager.openAdC("video", func);
    },
    getInconIndex: function () {
        if (!this.iconList) return 0;

        this.iconIndex++;
        if (this.iconIndex >= this.iconList.length) {
            this.iconIndex = 0;
        }
        return this.iconIndex;
    },
    getBannerIndex: function () {
        if (!this.bannerList) return 0;

        this.bannerIndex++;
        if (this.bannerIndex >= this.bannerList.length) {
            this.bannerIndex = 0;
        }
        return this.bannerIndex;
    },
    initPushData: function (data) {

        if (!wb.isWX()) return;

        Tool.iconList = data.iconList;
        Tool.bannerList = data.bannerList;

        if (data.splashList && data.splashList.length > 0) {
            Tool.noticeData = data.splashList[0];
        }

        var topList = data.topList;
        if (topList && topList.length > 0) {
            for (var i = 0; i < topList.length; i++) {
                //if (topList[i].gameName == "boxSharedSwitch") {
                //    Config.boxSharedSwitch = parseInt(topList[i].extra);
                //}
                var item = topList[i];
                if (item.gameName == "consumeNum") {
                    Config["consumeNum"] = wb.parse(item.extra);
                } else {
                    Config[item.gameName] = parseInt(item.extra);
                }
            }
        }

        if (data && data.bottomList) {
            if (data.bottomList[0] && data.bottomList[0].open == "banner") {
                cc.log("extra " + data.bottomList[0].extra);
                Config.bannerFlushTime = parseInt(data.bottomList[0].extra);
            }
        }
        wb.EventManager.dispatchCustomEvent("PushData");

    },
    createBanner: function (id) {
    },
    showBanner: function (id) {
        wb.ADManager.openAd("banner");
    },
    hideBanner: function () {
        wb.ADManager.closeAd("banner");
    },
    requestScore: function () {
        var data = {
            top_num: "50",
            user_id: this.userId,
            project_id: Config.PRJID
        };
        wb.wxHelper.httpRequest("https://api.vzhifu.net/superm/top", data);
    },
    initLoginData: function (id) {
        cc.log("initUserInfo");
        Tool.userId = id;
        wb.wx.postMessage({
            funcName: "setOpenId",
            id: id
        });
    },
    initUserInfo: function (userInfo) {

        Tool.nickname = Tool.getItem("qqbk_nickname", "游客");
        Tool.headurl = Tool.getItem("qqbk_headurl", "");

        if (!userInfo) return;

        Tool.nickname = userInfo.nickName;
        Tool.headurl = userInfo.avatarUrl;
        Tool.sex = userInfo.gender;
        Tool.province = userInfo.province;
        wb.wxTool.loadImage(Tool.headurl);

        Tool.setItem("qqbk_nickname", "" + Tool.nickname);
        Tool.setItem("qqbk_headurl", "" + Tool.headurl);
    },
    initRandOpenId: function () {
        wb.wx.getSystemInfo({
            success: function (res) {
                cc.log(res);
                var dateStr = new Date().getTime();
                var openid = dateStr + res.brand + res.model + res.pixelRatio + res.language + res.system
                    + res.platform + res.benchmarkLevel + res.fontSizeSetting;
                Tool.setItem("qqbk_Openid", "" + openid);
            }
        })
    },
    httpFunc: function (responseText) {
        if (this.haveSet) return;
        var reData = wb.parse(responseText);
        cc.log("tool httpFunc ");
        if (reData.curr_list) {
            // 设置最高分
            this.haveSet = true;
            this.setBestScore(reData.curr_list.user_score);
        }
    },
    isToDay: function () {
        this.isToDayFlag = false;

        var myDate = new Date();
        var cDataStr = myDate.toLocaleDateString();
        cc.log("cDataStr " + cDataStr);
        var oDataStr = Tool.getItem("qqbk_myDate", "");
        if (cDataStr == oDataStr) return true;
        if (cDataStr != oDataStr || oDataStr == "") {
            // 保存日期
            wb.setItem("qqbk_myDate", cDataStr);

            SceneManger.showLogin();

            //wb.setItem("beganSnakeL", 5);
            //Config.beganSnakeL = 5;

            this.cjVideoNum = 2;
            wb.setItem("cjVideoNum", 2);

            this.boxFxNum = 0;
            wb.setItem("boxFxNum", 0);

            // 每天赠送 2抽奖券
            this.flushTicket(2);

            // 今天的标记
            this.isToDayFlag = true;

            this.setLotteryPlShowNum(0);

            this.setToDayLoginNum(0);

            return false;
        }
        return false;
    },
    isFirstPlay: function () {
        var firstPlay = cc.sys.localStorage.getItem("firstPlay");
        if (firstPlay || firstPlay == "yes") return false;
        cc.sys.localStorage.setItem("firstPlay", "yes");
        return true;
    },
    randN: function (min, max) {
        return Math.floor(Math.random() * (max - min + 1) + min);
    },
    randBool: function () {
        if (this.randN(1, 10) < 5) return true;
        return false;
    },
    getBlockColorIndex: function (num) {
        if (num <= 0) return 0;
        var index = Math.floor(num / 5);
        if (index > Config.BLOCK_COLOR.length - 1) return Config.BLOCK_COLOR.length - 1;
        return index
    },
    setBestScore: function (num) {
        this.bestScore = num;
        cc.sys.localStorage.setItem("qqbk_bestScore", "" + num);

        // 上传分数
        wb.GameHelper.sumbitUserScore(parseInt(this.bestScore), 206);
        // 统计
        wb.DataTJManager.event2("game_ssdzz", "score_" + this.bestScore);
    },
    getBestScore: function () {
        var score = wb.getItem("qqbk_bestScore", 0);
        if (!score) score = 0;
        return parseInt(score);
    },
    saveBestScore: function (num) {
        this.setBestScore(num);
        this.flushCScore();
    },
    addDiamond: function (num) {

        if (wb.isNative()) {
            wb.GameHelper.addCoin(num);
            this.diamondNum = this.diamondNum + num;
        } else {
            num = parseInt(num);
            this.diamondNum = this.diamondNum + num;
            Tool.setItem("qqbk_diamond", this.diamondNum);
        }

        wb.EventManager.dispatchCustomEvent("diamond_change", {});
    },
    getDiamond: function () {
        if (wb.isNative()) return wb.GameHelper.getCoin();
        return parseInt(Tool.getItem("qqbk_diamond", 0));
    },
    explosion: function (p, node) {
        // p = cc.pAdd(p, cc.p(0, Config.SNAKE_RADIUS2));
        // var totalN = 4;
        // var maxL = 150;
        // var skinObj = Config.Skin[SnakeHelper.skinIndex];
        //
        // for (var i = 0; i < totalN; i++) {
        //     var angle = Tool.randN(0, 360);
        //     var dP = cc.pRotateByAngle(cc.p(maxL, 0), cc.p(0, 0), angle);
        //     var moveP = cc.pAdd(dP, p);
        //     var dotSp = new cc.Sprite(res.SnakeDot_png);
        //     dotSp.setColor(skinObj.explosionColor);
        //     dotSp.setScale(0.4);
        //     var action = cc.sequence(cc.spawn(cc.moveTo(0.4, moveP), cc.scaleTo(0.4, 0.1)), cc.removeSelf());
        //     dotSp.setPosition(p);
        //     dotSp.runAction(action);
        //     node.addChild(dotSp);
        // }
    },
    blockExplosion: function (p, node) {
        // var totalN = 20;
        // var maxL = Config.WINSIZEF().width;
        // for (var i = 0; i < totalN; i++) {
        //     var x = Tool.randN(0, Config.BLOCK_WH) - Config.BLOCK_WH2;
        //     var y = Tool.randN(0, Config.BLOCK_WH) - Config.BLOCK_WH2;
        //     var bP = cc.p(p.x + x, p.y + y);
        //     var dotSp = new cc.Sprite(res.SnakeDot_png);
        //     dotSp.setPosition(bP);
        //     dotSp.setScale(0.2);
        //     var moveP = cc.pAdd(p, cc.pMult(cc.pNormalize(cc.p(x, y)), maxL));
        //
        //     var action = cc.sequence(cc.spawn(cc.moveTo(1, moveP).easing(cc.easeOut(1)), cc.scaleTo(1, 0.2)), cc.removeSelf());
        //     dotSp.runAction(action);
        //     node.addChild(dotSp);
        // }
    },
    playEffect: function (char, bool) {
        cc.audioEngine.playEffect(char, bool);
    },
    setEffect: function (flag) {
        this.isEffectEnable = flag;
        var tag = "false";
        if (flag) tag = "true";
        cc.sys.localStorage.setItem("isEffectEnable", tag);
    },
    playMusic: function (char, bool) {
        this.defaultBkMusic = char;
       // cc.audioEngine.stopMusic();
        cc.audioEngine.playMusic(char, bool);
    },
    playDefaultMusic: function () {
        if (this.defaultBkMusic) this.playMusic(this.defaultBkMusic, true);
    },
    setMusic: function (flag) {
        //this.isBackgroundEnable = flag;
        //if (this.isBackgroundEnable) {
        //    Tool.playMusic(res.bkmusic_mp3, true);
        //    // cc.audioEngine.resumeMusic();
        //} else {
        //    cc.audioEngine.stopMusic();
        //}
        //var tag = "false";
        //if (flag) tag = "true";
        //cc.sys.localStorage.setItem("isBackgroundEnable", tag);
    },
    isEffect: function () {
        var tag = cc.sys.localStorage.getItem("isEffectEnable");
        if (tag == "true" || !tag) return true;
        return false;
    },
    isMusic: function () {
        var tag = cc.sys.localStorage.getItem("isBackgroundEnable");
        if (tag == "true" || !tag) return true;
        return false;
    },
    getItem: function (key, value) {
        var tag = cc.sys.localStorage.getItem(key);
        if (!tag || tag == null || tag == undefined) return value;
        return tag;
    },
    setItem: function (key, value) {
        cc.sys.localStorage.setItem(key, value);
    },
    flushCScore: function () {
        var data = {
            "KVDataList": [{key: "qqbk_score", value: "" + this.bestScore}],
            "success": function () {
                cc.log("KVDataList success");
            }
        };
        wb.wx.setUserCloudStorage(data);
    },
    addBeganSnakeL: function (n) {
        if (Config.beganSnakeL >= 20) return;
        Config.beganSnakeL = Config.beganSnakeL + n;
        if (Config.beganSnakeL > 20) Config.beganSnakeL = 20;
    },
    getDHour: function (time) {
        var date = new Date();
        var dTime = date.getTime() - time;   //时间差的毫秒数
        //计算出小时数
        var hour = Math.floor(dTime / (3600 * 1000));
        cc.log("hour " + hour);
        return hour;
    },
    // 皮肤是否已解锁
    getSkinLockTime: function (index) {
        var lockStr = "skinlocktime" + index;
        var time = wb.getItem(lockStr, -1);
        if (time <= 0) return -1;
        var date = new Date();
        var dTime = date.getTime() - time;   //时间差的毫秒数
        var min = 1440 - Math.floor(dTime / 1000 / 60); // 计算分钟
        return min;
    },
    // 转换为分钟
    getSkinLockTimeStr: function (min) {
        var h = Math.floor(min / 60);
        var m = min - h * 60;
        var hStr = h > 9 ? h : "0" + h;
        var mStr = m > 9 ? m : "0" + m;
        return "" + hStr + " " + mStr;
    }
};

var wb = wb || {};
wb.originDesignResolutionSize = {width: 640, height: 1136};
var ccs = ccs || {};
if (!ccs._loadTemp) {
    ccs._loadTemp = ccs.load;
    ccs._loadTemp.validate = ccs.load.validate;
    ccs.load = function (file, path) {
        cc.log("ccs._loadTemp  " + file);
        var objectTemp = ccs._loadTemp(file, path);
        var rootNode = objectTemp.node;
        var rootNodeSize = rootNode.getContentSize();
        if (wb.originDesignResolutionSize.width == rootNodeSize.width && wb.originDesignResolutionSize.height == rootNodeSize.height) {
            var size = cc.director.getWinSize();
            rootNode.setContentSize(size);
            ccui.helper.doLayout(rootNode);
        }
        return objectTemp;
    };
    ccs.load.validate = ccs._loadTemp.validate;
}