/**
 * Created by Zack on 2018/1/9.
 */


wb.convertToWP = function (node) {
    return node.getParent().convertToWorldSpace(node.getPosition());
};

/////////////////////////////////////////////////////////////
wb.subStr = function (str, n) {
    var r = /[^\x00-\xff]/g;
    if (str.replace(r, "mm").length <= n) {
        return str;
    }
    var m = Math.floor(n / 2);
    for (var i = m; i < str.length; i++) {
        if (str.substr(0, i).replace(r, "mm").length >= n) {
            return str.substr(0, i) + "...";
        }
    }
    return str;
};

wb.subScore = function (n) {
    var num = parseFloat(n);
    if (num > 1000) {
        num = num / 1000;
        return "" + num.toFixed(1) + "k";
    } else if (num > 10000) {
        num = num / 10000;
        return "" + num.toFixed(1) + "w";
    }
    return "" + n;
};

// 获取真实长度
wb.getStrLen = function (str) {
    return str.replace(/[\u0391-\uFFE5]/g, "aa").length;  //先把中文替换成两个字节的英文，在计算长度
};

/////////////////////////////////////////////////////////////


