/**
 * Created by cc on 2017/12/23.
 */

var _s_FireAccountLayerIns = null;
var FireAccountLayer = cc.Layer.extend({
    _textHeightScore: null,
    _textScore: null,
    _gameScene: null,
    _btnDoubleVideo: null,
    _score: 0,
    ctor: function (gameScene) {
        this._super();
        var colorLayer = new cc.LayerColor(FireConfig.UI_BG_COLOR);
        colorLayer.setOpacity(182);
        this.addChild(colorLayer);

        var root = ccs.load(resFireup.fireAccountJson).node;
        this.addChild(root);

        this._gameScene = gameScene;
        //结算数据
        this._score = this._gameScene._gameScore;
        var totalScore = FireData._Score + this._score;
        FireData.setScore(totalScore);
        FireData.setHighScore(this._score);

        this._textScore = ccui.helper.seekWidgetByName(root, "TextScore");
        this._textScore.setString(FireDeal.getStrOfKiloNum(this._score));
        this._textHeightScore = ccui.helper.seekWidgetByName(root, "TextHightScore");
        this._textHeightScore.setString(FireDeal.getStrOfKiloNum(FireData._HighScore));

        var btnClose = ccui.helper.seekWidgetByName(root, "BtnClose");
        btnClose.addTouchEventListener(this.onClose, this);
        var BtnRestart = ccui.helper.seekWidgetByName(root, "BtnRestart");
        BtnRestart.addTouchEventListener(this.onRestartGame, this);
        var BtnVideo = ccui.helper.seekWidgetByName(root, "BtnVideo");
        BtnVideo.addTouchEventListener(this.onVideo, this);
        this._btnDoubleVideo = BtnVideo;
        var isReady = wb.ADManager.isAdReady("double_fail_mfzs");
        if (isReady == false) {
            BtnVideo.setVisible(false);
            BtnVideo.setTouchEnabled(false);
        }
        _s_FireAccountLayerIns = this;
        wbTool.openAd("level_fail");
    },
    onClose: function (sender, type) {
        if (type == ccui.Widget.TOUCH_ENDED) {
            cc.director.runScene(new FireHomeScene());
        }
    },
    onRestartGame: function (sender, type) {
        if (type == ccui.Widget.TOUCH_ENDED) {
            cc.director.runScene(new FireHomeScene());
        }
    },
    onVideo: function (sender, type) {
        if (type == ccui.Widget.TOUCH_ENDED) {
            this._btnDoubleVideo.setTouchEnabled(false);
            wbTool.openAdC("double_fail_mfzs", function (adSourceItem, result) {
                this._btnDoubleVideo.setTouchEnabled(true);
                if (result == 0) {
                    var totalScore = FireData._Score + _s_FireAccountLayerIns._score;
                    FireData.setScore(totalScore);
                    //FireData.setHighScore(_s_FireAccountLayerIns._score*2);
                    _s_FireAccountLayerIns._textScore.setString(FireDeal.getStrOfKiloNum(_s_FireAccountLayerIns._score * 2));
                    _s_FireAccountLayerIns._textHeightScore.setString(FireDeal.getStrOfKiloNum(FireData._HighScore));

                    _s_FireAccountLayerIns._btnDoubleVideo.setVisible(false);
                    _s_FireAccountLayerIns._btnDoubleVideo.setTouchEnabled(false);

                    wb.DataTJManager.event2("ad_succ_double_fail_mfzs", "ad_succ_double_fail_mfzs");
                }
                Tool.playMusic(res.bkmusic_mp3, true);
            });
        }
    }
});

