/**
 * Created by cc on 2017/12/21.
 */

var s_FireGameMainLayer_Ins = null;
var s_Test = false;
var FireGameMainLayer = cc.Layer.extend({
    _gameFirePlan: null,
    _touchBeganPos: null,
    _gameState: 0,
    _blocksLayer: null,
    _bulletLayer: null,
    _itemLayer: null,
    _firePlan: null,
    _blockCreateRow: 4,//障碍物生成间隔
    _disBlockCreateRow: 0,//障碍物间隔计算基数
    _dRowDistance: 0,//行间距计算计数
    _rowDistance: 0,//行间距
    _CntRow: 1,//计算生成总行数
    _CntBlockRow: 1,//计算障碍物生成的行数
    _gameSpeed: 0,//游戏速度
    _bulletSpeed: 0,//子弹速度
    _bulletDamage: 0,//子弹伤害
    _attackCD: 0,//攻击间隔
    _blockSize: null,//障碍物size
    _blockNum: 0,//每排障碍物数量
    //
    _itemCDs: null,
    _gameScore: 0,
    _labelScore: null,
    _reliveCount: 0,
    //test
    _testGameTime: 0,//s时长
    _testTimeLabel: null,
    _testRowLabel: null,
    ctor: function () {
        this._super();
        //SnakeHelper.bkLayer = this;
       // this.addKeyBoard();
        this.addTouchListener();
        s_FireGameMainLayer_Ins = this;
        FireSceneManger._gameScene = this;
        //init data
        //初始化关卡信息
        this._blockSize = FireConfig.BlockSize5;//BlockSize4;
        this._blockNum = 5;
        this._rowDistance = this._blockSize.height;
        //首排生成距离
        this._CntRow = 1;
        this._disBlockCreateRow = this._CntRow;
        this._CntBlockRow = 1;
        //子弹速度
        this._bulletSpeed = FireDeal.getBulletSpeed();
        //游戏速度
        this._gameSpeed = FireConfig.FireGameSpeed;
        this._attackCD = FireDeal.getFireCDSecond();
        this._bulletDamage = FireDeal.getBulletDamage();
        //
        this._itemCDs = [0, 0, 0];

        //创建场景
        var winSize = cc.winSize;
        //障碍物层
        this._blocksLayer = new FireBlockLayer();
        this.addChild(this._blocksLayer, 1);
        this._blocksLayer._gameDelgate = this;
        //子弹层
        this._bulletLayer = new FireBulletLayer(this);
        this.addChild(this._bulletLayer, 2);
        this._bulletLayer._gameDelgate = this;
        this._bulletLayer._rowBlockNum = 5;
        //道具层
        this._itemLayer = new FireItemLayer();
        this.addChild(this._itemLayer, 3);
        this._itemLayer._gameDelgate = this;

        //飞机
        var firePlan = new FirePlan();
        firePlan.setPosition(FireConfig.PlanePosition);
        this.addChild(firePlan, 4);
        firePlan._gameDelgate = this;
        firePlan.initM();
        this._firePlan = firePlan;
        this._gameFirePlan = firePlan;

        //分数
        this._labelScore = new cc.LabelTTF("0", res.Hk7_font, 70);
        this._labelScore.setPosition(cc.p(320, winSize.height - 60));
        this._labelScore.setColor(cc.color(255, 255, 255));
        this.addChild(this._labelScore, 9);

        Tool.playMusic(res.bkmusic_mp3, true);
        this.scheduleUpdate();
        cc.log("FireGameMainLayer:init==finish");

        return true;
    },
    onEnter: function () {
        this._super();
        var colorLayer = new cc.LayerColor(FireConfig.GAME_BG_COLOR);
        this.addChild(colorLayer);

        var winSize = cc.winSize;
        //按钮
        var menuPause = new cc.MenuItemImage(res.icon_pause_png, res.icon_pause_png, "", this.onPause, this);
        menuPause.setPosition(winSize.width - 45, winSize.height - 45);
        menuPause.setScale(1.5);
        var menu = new cc.Menu(menuPause);
        menu.setPosition(cc.p(0, 0));
        this.addChild(menu, 12);

        //测试参数
        if (s_Test) {
            this._testTimeLabel = new cc.LabelTTF("0", res.Hk7_font, 32);
            this._testTimeLabel.setPosition(cc.p(100, winSize.height - 60));
            this._testTimeLabel.setColor(cc.color(255, 255, 255));
            this.addChild(this._testTimeLabel, 9);
            this._testRowLabel = new cc.LabelTTF("0", res.Hk7_font, 32);
            this._testRowLabel.setPosition(cc.p(100, winSize.height - 160));
            this._testRowLabel.setColor(cc.color(255, 255, 255));
            this.addChild(this._testRowLabel, 9);
        }
    },
    addKeyBoard: function () {
        // cc.eventManager.addListener({
        //     event: cc.EventListener.KEYBOARD,
        //     onKeyReleased: function (key, event) {
        //         if (key == cc.KEY.back) {
        //             var target = event.getCurrentTarget();
        //             if (target.getChildByTag(99)) {
        //                 return;
        //             }
        //             target.onPause(null);
        //         }
        //     }
        // }, this);
    },
    addTouchListener: function () {
        cc.eventManager.addListener({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: this.onTouchBegan,
            onTouchMoved: this.onTouchMoved,
            onTouchEnded: this.onTouchEnded,
            onTouchCancelled: this.onTouchCancelled
        }, this);
    },
    onTouchBegan: function (touch, event) {
        //cc.log("onTouchBegan");
        var tag = event.getCurrentTarget();
        var pos = touch.getLocation();
        tag._touchBeganPos = pos;
        return true;
    },
    onTouchMoved: function (touch, event) {
        var tag = event.getCurrentTarget();
        var pos = touch.getLocation();
        if (tag._gameState != 0) return;
        tag._gameFirePlan.moveBy(cc.p(pos.x - tag._touchBeganPos.x, pos.y - tag._touchBeganPos.y));
        tag._touchBeganPos = pos;
    },
    onTouchEnded: function (touch, event) {
        var tag = event.getCurrentTarget();
        tag._touchBeganPos = touch.getLocation();
    },
    onTouchCancelled: function (touch, event) {
        var tag = event.getCurrentTarget();
        tag._touchBeganPos = touch.getLocation();
    },

    update: function (dt) {
        dt = 0.0167;
        //运行状态
        if (this._gameState == 0) {
            this._testGameTime += dt;//s时长
            //计算行数
            this._dRowDistance += this._gameSpeed * dt;
            do {
                if (this._dRowDistance >= this._rowDistance) {
                    this._dRowDistance = 0;
                    this._rowDistance = this._blockSize.height;
                    this._CntRow++;
                    this.updateItemRow();

                    var bNewBlocks = false;//是否产出了新的障碍物行
                    var addRow = 1;
                    //生成障碍物
                    this._disBlockCreateRow++;
                    if (this._disBlockCreateRow >= this._blockCreateRow) {
                        this._disBlockCreateRow = 0;
                        this._CntBlockRow++;
                        //从1开始从新计算行
                        if (this._CntBlockRow == 1) {
                            this._CntRow = 1;
                        }
                        bNewBlocks = true;
                        //是否修改每排障碍物数量
                        /*if(this._CntBlockRow == 21){
                         this._blockNum = 5;
                         this._blockSize = FireConfig.BlockSize5;
                         //视野缩小
                         }*/

                        //产出特殊块
                        if (this._CntBlockRow > 4/*10*/ && this._CntBlockRow % 3 == 0) {
                            addRow = this._blocksLayer.createBlocksByMode(this._blockSize);
                            this._rowDistance = this._blockSize.height * addRow;
                        } else {
                            //生成障碍物
                            this._blocksLayer.createBlocksTop(this._blockNum, this._blockSize);
                        }

                        //计算下一排生成物间隔
                        var rowConunt = FireConfig.BlockRowDis;
                        if (this._CntRow >= 80) {
                            rowConunt = Tool.randN(4, 6);
                        }
                        this._blockCreateRow = rowConunt;
                    }

                    //生成道具
                    var flushRow = FireConfig.ItemFlushRow;
                    var flushRowIntl = FireConfig.ItemFlushRowIntl;
                    var dRow = this._CntRow - flushRow;
                    //首个道具产生
                    if (dRow == 0 || (dRow > 0 && (dRow % flushRowIntl == 0))) {
                        var winSize = cc.winSize;
                        var ranItem = FireDeal.getItemTypeRandom();
                        var posX = winSize.width / (this._blockNum + 1) * (Tool.randN(1, this._blockNum));
                        var posY = winSize.height + this._blockSize.height / 2;
                        if (bNewBlocks) {
                            posY += (this._blockSize.height * addRow);
                        }
                        this._itemLayer.createItem(ranItem, cc.p(posX, posY));
                    }

                    //test
                    if (s_Test) {
                        this._testTimeLabel.setString("Time:" + Math.floor(this._testGameTime));
                        this._testRowLabel.setString("Row:" + this._CntBlockRow);
                    }
                }
                break;
            } while (true);

            this._blocksLayer.onUpdate(dt);
            this._itemLayer.onUpdate(dt);
            this._bulletLayer.onUpdate(dt);
            this._firePlan.onUpdate(dt);
            this.checkCollsion();
        } else if (this._gameState == -1) {
            //挂了
        }
    },
    checkCollsion: function () {
        //子弹方块碰撞
        var buttleList = this._bulletLayer.getBulletsList();
        for (var i = 0; i < buttleList.length; i++) {
            var bullet = buttleList[i];
            if (bullet._bRemoved) {
                continue;
            }
            var blockList = this._blocksLayer._blocksList;
            for (var j = 0; j < blockList.length; j++) {
                var block = blockList[j];
                if (this.isCollision(bullet.getBox(), block.getBox())) {
                    block.onHurt(bullet);
                    bullet.removeBullet();
                }
            }
        }
        //飞机方块碰撞
        blockList = this._blocksLayer._blocksList;
        var plan = this._firePlan;
        for (var j = 0; j < blockList.length; j++) {
            var boxBlock = blockList[j].getBox();
            var boxPlan = plan.getBox();
            if (this.isCollision(boxPlan, boxBlock) && (boxPlan.y < boxBlock.y)) {
                this.gameOver();
                break;
            }
        }
        //飞机道具碰撞
        var _itemsList = this._itemLayer._itemList;
        for (var j = 0; j < _itemsList.length; j++) {
            var item = _itemsList[j];
            if (this.isCollision(plan.getBox(), item.getBox())) {
                this.gainItem(item._type);
                item.removeItem();
            }
        }

    },
    isCollision: function (rect1, rect2) {
        if (cc.rectIntersectsRect(rect1, rect2)) {
            return true;
        }
        return false;
    },
    updateItemRow: function () {
        var itemCDs = this._itemCDs;
        for (var i = 0; i < itemCDs.length; i++) {
            if (itemCDs[i] > 0) {
                itemCDs[i] -= 1;
                if (itemCDs[i] <= 0) {
                    this.stopItem(FireConfig.ItemSpeedUp + i);
                }
            }
        }
    },
    gainItem: function (type) {
        if (type == FireConfig.ItemSpeedUp) {
            this._bulletLayer.setSpeedUp(true);
            this._itemCDs[0] = 10;
        } else if (type == FireConfig.ItemHeavyAtk) {
            this._bulletLayer._bHeavyFire = true;
            this._itemCDs[1] = 10;
        } else if (type == FireConfig.ItemDoubleFir) {
            this._bulletLayer._bDoubleFire = true;
            this._itemCDs[2] = 10;
        }
        this._firePlan.setSkill(type);
    },
    stopItem: function (type) {
        if (type == FireConfig.ItemSpeedUp) {
            this._bulletLayer.setSpeedUp(false);
        } else if (type == FireConfig.ItemHeavyAtk) {
            this._bulletLayer._bHeavyFire = false;
        } else if (type == FireConfig.ItemDoubleFir) {
            this._bulletLayer._bDoubleFire = false;
        }
        this._firePlan.removeSkill();
    },
    addScore: function (num) {
        this._gameScore = this._gameScore + num;
        var showScore = FireDeal.getStrOfKiloNum(this._gameScore);
        this._labelScore.setString(showScore);
        if (null == this._labelScore.getActionByTag(99)) {
            var seque = cc.sequence(cc.scaleTo(0.03, 1.6), cc.scaleTo(0.06, 1));
            seque.setTag(99);
            this._labelScore.runAction(seque);
        }
    },
    gameOver: function () {
        this._gameState = -1;
        //var isReady = wb.ADManager.isAdReady("level_fail_mfzs");

        // /*只复活一次*/
        // if(isReady && this._reliveCount < 1){
        //     var layer = new FireReliveLayer();
        //     layer._gameScene = this;
        //     this.addChild(layer,999);
        // }else{
        //     this.showAccount();
        // }
        FireSceneManger.showReliveLayer();
    },
    gameRelive: function () {
        s_FireGameMainLayer_Ins._gameState = 0;
        s_FireGameMainLayer_Ins._reliveCount += 1;
        //删除障碍块
        var plan = s_FireGameMainLayer_Ins._firePlan;
        var blockList = s_FireGameMainLayer_Ins._blocksLayer._blocksList;
        var delList = [];
        for (var j = 0; j < blockList.length; j++) {
            var block = blockList[j];
            if (this.isCollision(plan.getBox(), block.getBox())) {
                delList.push(block);
            }
        }
        for (var i = 0; i < delList.length; i++) {
            var block = delList[i];
            s_FireGameMainLayer_Ins._blocksLayer.removeBlock(block);
        }
    },
    showAccount: function () {
        // var layer = new FireAccountLayer(this);
        // layer._gameScene = this;
        // this.addChild(layer, 999);
    },
    onPause: function (sender) {
        s_FireGameMainLayer_Ins._gameState = -1;
        var layer = new PauseLayer();
        this.addChild(layer, 999);
    },
    resumeGame: function () {
        s_FireGameMainLayer_Ins._gameState = 0;
    }
});

var FireGameMainScene = cc.Scene.extend({
    onEnter: function () {
        this._super();
        var layer = new FireGameMainLayer();
        this.addChild(layer);
        wbTool.closeAd("banner");
        wbTool.openAd("banner");
        wbTool.setAwakenCallback();
    }
});