/**
 * Created by cc on 2017/12/21.
 */

var FireItem = cc.Node.extend({
    _type:0,
    _itemDelgate:null,
    _spriteBody:null,
    _bodySize:null,
    ctor:function(type){
        this._super();
        this._type = type;

        this._bodySize = cc.size(60,60);
        this._rect = cc.rect(0,0,this._bodySize.width,this._bodySize.height);
        this._contentSize = cc.size(0,0);
        this._spriteBody = new cc.Sprite();
        if(type == FireConfig.ItemSpeedUp){
            this._spriteBody.setTexture(resFireup.itemSpeedUp);
        }else if(type == FireConfig.ItemHeavyAtk){
            this._spriteBody.setTexture(resFireup.itemHeavyAtk);
        }else if(type == FireConfig.ItemDoubleFir){
            this._spriteBody.setTexture(resFireup.itemDouble);
        }
        this.addChild(this._spriteBody);
    },
    removeItem:function(){
        if(this._itemDelgate){
            this._itemDelgate.removeItem(this);
        }
    },
    getBox:function(){
        var pos = this.getPosition();
        this._rect.x = pos.x - this._bodySize.width / 2;
        this._rect.y = pos.y - this._bodySize.height / 2;
        return this._rect;
        //return this.getBoundingBox();
    }
});