/**
 * Created by cc on 2017/12/21.
 */

var FireItemLayer = cc.Layer.extend({
    _itemList:null,
    _gameDelgate:null,
    ctor:function(){
        this._super();

        this._itemList = [];
    },
    onUpdate:function(dt){
        if(this._gameDelgate == null) return;

        var winSize = cc.winSize;
        var speed = this._gameDelgate._gameSpeed*dt;
        for(var i = 0; i < this._itemList.length;i++)
        {
            var item = this._itemList[i];
            item.y = item.y - speed;
            if(item.y < (-item.width))
            {
                this.removeChild(item);
                this._itemList[i] = undefined;
                this._itemList.splice(i,1);
                i = i - 1;
            }
        }
    },
    createItem:function(type,position){

        var item = new FireItem(type);
        item._itemDelgate = this;
        item.x = position.x;
        item.y = position.y;

        this.addChild(item);
        this._itemList.push(item);
    },
    removeItem:function(delItem)
    {
        for(var i = 0; i < this._itemList.length;i++)
        {
            var item = this._itemList[i];
            if(delItem == item){
                this.removeChild(item);
                this._itemList[i] = undefined;
                this._itemList.splice(i,1);
                break;
            }
        }
    }
});