/**
 * Created by 13075 on 2017/11/13.
 */


var FireOverLayer = wb.BaseLayer.extend({
    ctor: function () {
        this._super(res.overLayer_json);
        this.initData();
        this.initUI();
    },
    onEnter: function () {
        this._super();
        // wbTool.openAdC("level_fail", function (adSourceItem, result) {
        //     if (result == 0) {
        //         wb.DataTJManager.event2("ad_succ_level_fail", "ad_succ_level_fail");
        //     }
        // });
        wbTool.openAd("level_fail");
    },
    initData: function () {

    },
    initUI: function () {
        var scoreText = wb.FW(this.rootNode, "scoreText");
        var bestText = wb.FW(this.rootNode, "bestText");

        wb.FW(this.rootNode, "closeBtn", function () {
            this.closeLayer();
            FireSceneManger.backMain();
        }.bind(this));

        wb.FW(this.rootNode, "replayBtn", function () {
            FireSceneManger.rePlay();
        }.bind(this));

        wb.FW(this.rootNode, "backBtn", function () {
            FireSceneManger.backMain();
        }.bind(this));

        //结算数据
        var score = FireSceneManger._gameScene._gameScore;
        var totalScore = FireData._Score + score;
        FireData.setScore(totalScore);
        FireData.setHighScore(score);

        scoreText.setString(FireDeal.getStrOfKiloNum(score));
        bestText.setString(FireDeal.getStrOfKiloNum(FireData._HighScore));

        var pdImage = wb.FW(this.rootNode, "pdImage", function () {
            cc.audioEngine.pauseMusic();
            pdImage.setTouchEnabled(false);
            wbTool.openAdC("double_mfzs", function (adSourceItem, result) {
                pdImage.setTouchEnabled(true);
                cc.audioEngine.resumeMusic();
                if (result == 0) {
                    cc.log("fire double_mfzs");
                    var totalScore = FireData._Score + score;
                    FireData.setScore(totalScore);
                    //FireData.setHighScore(_s_FireAccountLayerIns._score*2);
                    scoreText.setString(FireDeal.getStrOfKiloNum(score * 2));
                    // bestText.setString(FireDeal.getStrOfKiloNum(FireData._HighScore));
                    pdImage.setVisible(false);
                }
                Tool.playMusic(res.bkmusic_mp3, true);
            }.bind(this));
        }.bind(this));
        var isReady = wb.ADManager.isAdReady("double_fail_mfzs");
        if (!isReady) pdImage.setVisible(false);
    }
});