/**
 * Created by 13075 on 2017/11/13.
 */

var PauseLayer = cc.Layer.extend({
    ctor: function () {
        this._super();

        var bkLayer = new cc.LayerColor(cc.color(0, 0, 0, 150));
        this.addChild(bkLayer);

        var dy = -120;
        var bkSp9 = new cc.Scale9Sprite(res.framePopup_png, cc.rect(0, 0, 100, 100), cc.rect(25, 25, 50, 50));
        bkSp9.setPosition(cc.p(320, 700 + dy+ScreenFixed.getCenterFixedDist()));
        bkSp9.width = 510;
        bkSp9.height = 480;
        this.addChild(bkSp9);

        var tiSp = new cc.Sprite(res.titlePopup_png);
        tiSp.setPosition(cc.p(320, 904 + dy+ScreenFixed.getCenterFixedDist()));
        this.addChild(tiSp);

        var tileLabel = new cc.LabelTTF("暂停", res.Hk7_font, 50);
        // tileLabel.setAnchorPoint(cc.p(0, 0.5));
        tileLabel.setPosition(cc.p(320, 914 + dy+ScreenFixed.getCenterFixedDist()));
        tileLabel.setColor(Config.BLACK_COLOR);
        this.addChild(tileLabel);

        var continueMenuItem = new cc.MenuItemImage(res.button_stop, res.button_stop, "",this.onContinueGame, this);
        continueMenuItem.setPosition(cc.p(320, 785 + dy+ScreenFixed.getCenterFixedDist()));

        var continueLabel = new cc.LabelTTF("继续游戏", res.Hk7_font, 36);
        continueLabel.setPosition(cc.p(155, 44));
        continueLabel.setColor(Config.BLACK_COLOR);
        continueMenuItem.addChild(continueLabel);


        var replayMenuItem = new cc.MenuItemImage(res.button_stop, res.button_stop, "",this.onRestarGame, this);
        replayMenuItem.setPosition(cc.p(320, 660 + dy+ScreenFixed.getCenterFixedDist()));

        var replayLabel = new cc.LabelTTF("重新开始", res.Hk7_font, 36);
        replayLabel.setPosition(cc.p(155, 44));
        replayLabel.setColor(Config.BLACK_COLOR);
        replayMenuItem.addChild(replayLabel);

        var backMenuItem = new cc.MenuItemImage(res.button_stop, res.button_stop, "",this.onBackHome, this);
        backMenuItem.setPosition(cc.p(320, 535 + dy+ScreenFixed.getCenterFixedDist()));

        var backLabel = new cc.LabelTTF("回到主界面", res.Hk7_font, 36);
        backLabel.setPosition(cc.p(155, 44));
        backLabel.setColor(Config.BLACK_COLOR);
        backMenuItem.addChild(backLabel);

        var mu = new cc.Menu(continueMenuItem, replayMenuItem, backMenuItem);
        mu.setPosition(cc.p(0, 0));
        this.addChild(mu);
        this.addTouchListener();

        wbTool.openAd("pause");
        cc.director.pause();
    },
    addTouchListener: function () {
        cc.eventManager.addListener({
            event: cc.EventListener.TOUCH_ONE_BY_ONE,
            swallowTouches: true,
            onTouchBegan: function () {
                return true;
            }
        }, this);
    },
    onExit:function(){
        this._super();
        cc.director.resume();
    },
    onBackHome:function(){
        switch(Config.GAME_MODEL){
            case 0:
            case 1:
            {
                Logic.dStartGame = false;
                cc.director.runScene(new QQHomeScene());
            }break;
            case 2:
            {
                cc.director.runScene(new FireHomeScene());
            }break;
        }
    },
    onContinueGame:function(){
        switch(Config.GAME_MODEL){
            case 0:
            case 1:
            {
                SnakeHelper.bkLayer.resumeGame();
                this.removeFromParent();
            }break;
            case 2:
            {
                s_FireGameMainLayer_Ins.resumeGame();
                this.removeFromParent();
            }break;
        }
    },
    onRestarGame:function(){
        switch(Config.GAME_MODEL){
            case 0:
            case 1:
            {
                Logic.dStartGame = false;
                cc.director.runScene(new QQHomeScene());
            }break;
            case 2:
            {
                cc.director.runScene(new FireHomeScene());
            }break;
        }
    }
})
