/**
 * Created by cc on 2018/1/3.
 */

var QQHomeLayer = cc.Layer.extend({
    ctor: function () {
        this._super();

        // this.addKeyBoard();

        var colorLayer = new cc.LayerColor(FireConfig.GAME_BG_COLOR);
        this.addChild(colorLayer);

        var root = ccs.load(res.qqhomeJson);
        this.addChild(root.node);

        var btnClose = wb.FW(root.node, "BtnClose");
        btnClose.addClickEventListener(this.onClose);
        //btnClose.setVisible(false);

        // var controlList = wb.JXYXManager.getGameList();
        // if(controlList&&controlList.length <= 1){
        //     btnClose.setTouchEnabled(false);
        //     btnClose.setVisible(false);
        //     btnClose.removeFromParent();
        // }
        var btnBegan = wb.FW(root.node, "BtnBegan");
        btnBegan.addTouchEventListener(this.onGameBegan, this);

        if(Logic.isSingle){
            this.addKeyBoard();
            btnClose.setVisible(false);
        }else{
            btnClose.setVisible(true);
        }

        // var gameList = wb.XYXManager.getGameList();
        // var flag = false;
        // for (var i = 0; i < gameList.length; i++) {
        //     cc.log("gameList " + gameList[i]);
        //     if ("ssdzz" == gameList[i]) {
        //         btnClose.setVisible(false);
        //         this.addKeyBoard();
        //         break;
        //     }
        // }

        var BtnUpgrade = wb.FW(root.node, "BtnRole");
        BtnUpgrade.addTouchEventListener(this.onRole, this);

        var bestScore = Tool.getBestScore();
        var testHighScore = wb.FW(root.node, "TextHighScore");
        testHighScore.setString(bestScore);

        var roleIcon = wb.FW(root.node, "heroIcon");
        roleIcon.setVisible(false);
        var pos = roleIcon.getPosition();
        //  pos.y += (30 + ScreenFixed.getCenterFixedDist());
        var snakeHead = SnakeHelper.createSnake(3, this, pos/*,true,SnakeHelper.skinIndex*/);
        SnakeHelper.snakeHead = snakeHead;
        snakeHead._numLabel.setVisible(false);
        SnakeHelper.gameSpeed = Config.SNAKE_SPEED;

        this.scheduleUpdate();

        if (Config.FIRST_GAME_HOME == true) {
            Config.FIRST_GAME_HOME = false;
            wbTool.openAd("home_push");
        }

        var BtnScene = wb.FW(root.node, "BtnScene", function () {
            var layer = new QQSceneLayer();
            this.addChild(layer, 10);
        }.bind(this));
        BtnScene.setVisible(false);
    },
    addKeyBoard: function () {
        cc.eventManager.addListener({
            event: cc.EventListener.KEYBOARD,
            onKeyReleased: function (key, event) {
                if (key == cc.KEY.back) {
                    // Config.SNAKE_P = s_Snake_Position;
                    // var controlList = wb.JXYXManager.getGameList();
                    // if(controlList&&controlList.length <= 1){
                    //     cc.director.end();
                    // }else{
                    // wb.GameHelper.backMain();
                    //}
                    this.exitGame();
                }
            }.bind(this)
        }, this);
    },
    onClose: function (sender) {
        Config.SNAKE_P = s_Snake_Position;
        wb.GameHelper.backMain();
    },
    onGameBegan: function (sender, type) {
        if (type == ccui.Widget.TOUCH_ENDED) {
            //cc.eventManager.removeAllListeners();
            var skinStr = "tap_ssdzz_skin" + (BgSkinManger.skinIndex + 1);
            wb.DataTJManager.event2(skinStr, skinStr);
            cc.director.runScene(new GameMainScene());
        }
    },
    onRole: function (sender, type) {
        if (type == ccui.Widget.TOUCH_ENDED) {
            var skinLayer = new SkinLayer();
            this.addChild(skinLayer, 10);
        }
    },
    update: function (dt) {
        SnakeHelper.adjustP();
        SnakeHelper.addPath(cc.p(0, SnakeHelper.gameSpeed));
        /* for (var i = 0; i < SnakeHelper.snakeSkinHeads.length; i++) {
         SnakeHelper.adjustP(true, i);
         SnakeHelper.addPath(cc.p(0, Config.SNAKE_SPEED), true, i);
         }*/
    },
    exitGame: function () {
        cc.log("exit~~~~~");
        if(this.haveShow) return;
        this.haveShow = true;
        this.scheduleOnce(function () {
            this.haveShow = false;
        }.bind(this),0.5);

        if (wb.PayManager.isExitGame() == 1) {
            wb.PayManager.setOnGameExit(function () {
                 cc.director.end();
                //  Tool.calljsbEnd();
            }.bind(this));
            wb.PayManager.openExitGame();
        } else {
            //cc.director.end();
            Tool.calljsbEnd();
        }
    }
});

var QQHomeScene = cc.Scene.extend({
    onEnter: function () {
        this._super();

        Logic.reviveNum = 0;
        Config.GAME_MODEL = 1;
        //
        SnakeHelper.bkLayer = null;
        SnakeHelper.gameMain = null;
        SnakeHelper.snakeH = null;
        SnakeHelper.snakePath = [];

        Tool.init();
        Logic.init();
        SnakeHelper.init();

        var layer = new QQHomeLayer();
        this.addChild(layer);
        this.scheduleOnce(function () {
            if(Logic.isSingle){
               wbTool.closeAd("banner");
            }else {
               wbTool.openAd("banner");
            }
        },3);

        wbTool.setAwakenCallback();
    }
});
