/**
 * Created by Zack on 2018/6/20.
 */

var BgSkinConfig = [
    {
        blockColor: [
            cc.color(78, 127, 255),
            cc.color(81, 171, 255),
            cc.color(62, 212, 249),
            cc.color(37, 234, 176),
            cc.color(180, 243, 58),
            cc.color(250, 222, 37),
            cc.color(247, 196, 105),
            cc.color(255, 185, 57),
            cc.color(255, 105, 228),
            cc.color(185, 122, 255),
            cc.color(231, 85, 255),
            cc.color(159, 71, 255)
        ],
        normalColor: cc.color(255, 255, 255),
        lineColor: cc.color(255, 255, 255),
        dotColor: cc.color(255, 255, 255),
        bgImagePath: res["cbk2_png"],
        lineImagePath: res["line1_png"],
        iceColor: cc.color(60, 60, 60),
        blockFontColor: cc.color(255, 255, 255),
        blockFontRes: {
            path: res["fontnumber3_png"],
            w: 40,
            h: 51
        },
        isNormal: true
    },
    {
        blockColor: [
            cc.color(241, 202, 92),
            cc.color(229, 136, 109),
            cc.color(170, 91, 210),
            cc.color(237, 183, 133),
            cc.color(227, 149, 226),
            cc.color(155, 215, 146),
            cc.color(116, 197, 160),
            cc.color(208, 99, 86),
            cc.color(118, 161, 237),
            cc.color(115, 93, 191),
            cc.color(101, 210, 229),
            cc.color(155, 130, 221)
        ],
        normalColor: cc.color(0, 0, 0),
        lineColor: cc.color(22, 22, 22),
        dotColor: cc.color(22, 22, 22),
        bgImagePath: res["cbk_png"],
        lineImagePath: res["line1_png"],
        iceColor: cc.color(36, 36, 36),
        blockFontColor: cc.color(255, 255, 255),
        blockFontRes: {
            path: res["fontnumber1_png"],
            w: 40,
            h: 49
        }
    },
    {
        blockColor: [
            cc.color(0, 237, 245),
            cc.color(36, 183, 197),
            cc.color(8, 137, 239),
            cc.color(0, 183, 131),
            cc.color(131, 197, 66),
            cc.color(177, 231, 47),
            cc.color(255, 221, 76),
            cc.color(255, 157, 0),
            cc.color(255, 102, 0),
            cc.color(255, 28, 28),
            cc.color(255, 76, 135),
            cc.color(201, 58, 222)
        ],
        normalColor: cc.color(0, 0, 0),
        lineColor: cc.color(255, 255, 255),
        dotColor: cc.color(22, 22, 22),
        bgImagePath: res["cbk_png"],
        lineImagePath: res["line2_png"],
        iceColor: cc.color(36, 36, 36),
        blockFontColor: cc.color(255, 255, 255),
        blockFontRes: {
            path: res["fontnumber2_png"],
            w: 27.2,
            h: 38
        }
    },
    {
        blockColor: [
            cc.color(65, 221, 226),
            cc.color(45, 182, 216),
            cc.color(1, 161, 179),
            cc.color(59, 191, 178),
            cc.color(122, 171, 74),
            cc.color(165, 208, 62),
            cc.color(236, 179, 67),
            cc.color(231, 157, 38),
            cc.color(237, 110, 89),
            cc.color(236, 83, 117),
            cc.color(157, 0, 97),
            cc.color(189, 104, 238)
        ],
        normalColor: cc.color(63, 40, 100),
        lineColor: cc.color(63, 40, 100),
        dotColor: cc.color(22, 22, 22),
        bgImagePath: res["cbk_png"],
        lineImagePath: res["line1_png"],
        iceColor: cc.color(67, 67, 67),
        blockFontColor: cc.color(255, 255, 255),
        blockFontRes: {
            path: res["fontnumber3_png"],
            w: 40,
            h: 51
        }
    },
    {
        blockColor: [
            cc.color(97, 146, 234),
            cc.color(129, 198, 242),
            cc.color(144, 233, 243),
            cc.color(106, 230, 194),
            cc.color(192, 241, 97),
            cc.color(250, 227, 77),
            cc.color(249, 187, 79),
            cc.color(250, 142, 88),
            cc.color(246, 104, 107),
            cc.color(242, 43, 33),
            cc.color(221, 123, 237),
            cc.color(180, 121, 244)
        ],
        normalColor: cc.color(35, 35, 35),
        lineColor: cc.color(63, 63, 63),
        dotColor: cc.color(35, 35, 35),
        bgImagePath: res["cbk2_png"],
        lineImagePath: res["line1_png"],
        iceColor: cc.color(60, 60, 60),
        blockFontColor: cc.color(255, 255, 255),
        blockFontRes: {
            path: res["fontnumber3_png"],
            w: 40,
            h: 51
        }
    },
    {
        blockColor: [
            cc.color(133, 214, 217),
            cc.color(101, 188, 210),
            cc.color(113, 141, 191),
            cc.color(73, 172, 134),
            cc.color(139, 197, 83),
            cc.color(183, 213, 78),
            cc.color(247, 209, 135),
            cc.color(233, 186, 86),
            cc.color(232, 137, 99),
            cc.color(232, 77, 96),
            cc.color(199, 96, 138),
            cc.color(86, 68, 54)
        ],
        normalColor: cc.color(75, 91, 105),
        lineColor: cc.color(255, 255, 255),
        dotColor: cc.color(87, 89, 88),
        bgImagePath: res["cbk3_png"],
        lineImagePath: res["line3_png"],
        iceColor: cc.color(92, 119, 133),
        blockFontColor: cc.color(145, 155, 159),
        blockFontRes: {
            path: res["fontnumber2_png"],
            w: 27.2,
            h: 38
        },
        isFrameColorChange: true
    }
];

var BgSkinManger = {
    skinIndex: 0,
    getBgImagePath: function () {
        return BgSkinConfig[this.skinIndex].bgImagePath;
    },
    getBlockColor: function (index) {
        return BgSkinConfig[this.skinIndex].blockColor[index];
    },
    getBlockImagePath: function () {
        return res["bkskin" + this.skinIndex + "_block_png"];
    },
    getBlockDImagePath: function () {
        return res["bkskin" + this.skinIndex + "_blockframe_png"];
    },
    getShieldImagePath: function () {
        return res["bkskin" + this.skinIndex + "_shield_png"];
    },
    getFrozenImagePath: function () {
        return res["bkskin" + this.skinIndex + "_snowflake_png"];
    },
    getNormalColor: function () {
        return BgSkinConfig[this.skinIndex].normalColor;
    },
    getLineColor: function () {
        return BgSkinConfig[this.skinIndex].lineColor;
    },
    getBlockFont: function () {
        return BgSkinConfig[this.skinIndex].blockFontRes;
    },
    getBlockFontColor: function () {
        return BgSkinConfig[this.skinIndex].blockFontColor;
    },
    getDotColor: function () {
        return BgSkinConfig[this.skinIndex].dotColor;
    },
    getHoleImage: function () {
        return res["bkskin" + this.skinIndex  + "_hole_png"];
    },
    getIceColor: function () {
        return BgSkinConfig[this.skinIndex].iceColor;
    },
    getCoinImagePath: function () {
        return res["bkskin" + this.skinIndex  + "_start_png"];
    },
    isFrameColorChange: function () {
        return BgSkinConfig[this.skinIndex].isFrameColorChange;
    },
    isNormal: function () {
        return BgSkinConfig[this.skinIndex].isNormal;
    },
    getLineImage: function () {
        return BgSkinConfig[this.skinIndex].lineImagePath;
    }
};



