/**
 * Created by Zack on 2017/11/14.
 */

var WindLayer = cc.Layer.extend({
    py: Config.WINSIZEF().height + Config.WINSIZEF().height / 2,
    ctor: function () {
        this._super();
        this.schedule(this.createLine, 0.3);
    },
    createLine: function () {

        var line = new cc.Sprite(res.windLine_png);
        var randx = Tool.randN(1, Config.WINSIZEF().width);
        line.setPosition(cc.p(randx, this.py));
        var randSy = Tool.randN(5, 10) / 10;
        line.setScaleY(randSy);
        this.addChild(line);
        var action = cc.sequence(cc.moveTo(4, cc.p(randx, -Config.WINSIZEF().height)), cc.removeSelf());
        line.runAction(action);
    }
})